proc format;
   value MTH
      1  = "1-January"
      2  = "2-February"
      3  = "3-March"
      4  = "4-April"
      5  = "5-May"
      6  = "6-June"
      7  = "7-July"
      8  = "8-August"
      9  = "9-September "
      10 = "10-October"
      11 = "11-November"
      12 = "12-December"
      98 = "98-Don't Know"
      99 = "99-Missing"
   ;
   value xvar
      . = "missing"
      1 = "1.given"
      3 = "3.not given"
      7 = "7.refused"
      8 = "8.don't know"
      9 = "9.missing"
   ;
   value $xvarc
      ""  = "missing"
      "." = "missing"
      "1" = "1.given"
      "3" = "3.not given"
      "7" = "7.refused"
      "8" = "8.don't know"
      "9" = "9.missing"
   ;
   value mover
      . = "missing            "
      0 = "0.did not move     "
      1 = "1.within same desa "
      2 = "2.within same kec. "
      3 = "3.within same kab. "
      4 = "4.within same prov."
      5 = "5.other IFLS prov. "
      6 = "6.other prov.      "
   ;
   value splitoff
      . = "missing"
      0 = "0.stem"
      1 = "1.splitoff"
   ;
   value result
      . = "missing"
      1 = "1.complete"
      3 = "3.incomplete"
   ;
   value pres
      . = "missing                    "
      1 = "1.complete                 "
      2 = "2.partially complete       "
      3 = "3.not completed            "
   ;      
   value res98_
      . = "missing                    "
      1 = "1.complete                 "
      2 = "2.partially complete       "
      3 = "3.not completed            "
   ;      
   value res07_
      1 = "1.Interviewed               "
      2 = "2.Joined other household    "
      3 = "3.All target members dead   "
      4 = "4.Refused                   "
      5 = "5.Not found                 "
   ;
   value res00_
      1 = "1.Interviewed               "
      2 = "2.Joined other household    "
      3 = "3.All target members dead   "
      4 = "4.Refused                   "
      5 = "5.Not found                 "
   ;
   value RES97_
      .  = "missing                    "
      1  = "01.Interview conducted     "
      2  = "02.Joined other IFLS HH    "
      3  = "03.All target mems dead    "
      4  = "04.Refused                 "
      11 = "11.Moved (w/in prov)       "
      12 = "12.Moved (oth IFLS prov)   "
      13 = "13.Moved (non IFLS prov)   "
      14 = "14.Moved (diff country)    "
      15 = "15.Moved (DK location)     "
      21 = "21.Unable to contact       "
      22 = "22.Building vacant         "
      23 = "23.Building demolished     "
      24 = "24.Building not found      "
   ;
   value res98_
      . = "missing                     "
      1 = "1.Interviewed               "
      3 = "3.All target members dead   "
      5 = "5.Not found                 "
   ;   
   value member
      0 = "0.no"
      1 = "1.yes"
   ;
   value sc05_
      . = "missing"
      1 = "1.urban"
      2 = "2.rural"
   ; 
   value yes1no2_
      . = "missing"
      1 = "1.yes"
      2 = "2.no"
   ; 
   value yes1no3_
      . = "missing"
      1 = "1.yes"
      3 = "3.no"
   ; 
   value sc21x   
      0 = "0.Did not move                  "
      1 = "1.Same village                  "
      2 = "2.Same kecamatan                "
      3 = "3.Same kabupaten                "
      4 = "4.Same province                 "
      5 = "5.Diff't prov, IFLS province    "
      6 = "6.Diff't prov, not IFLS province"
   ;
   value sex
      1 = "1.male"
      2 = "2.female" 
      3 = "3.female" 
   ;  
   value res14_
      1 = "1.Interviewed"
      2 = "2.Refused"
      3 = "3.Joined with other  IFLS HH"
      4 = "4.Died"
      5 = "5.Household was not available/not found"
      6 = "6.HH not yet interviewed"
      8 = "8.Moved out HH confirmation"
   ;
run;