proc format;
   value C1B1_
      1 = "1:Completed"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C2B1_
      1 = "1:Resnot at home/did not found"
      2 = "2:Reswas seriously ill"
      3 = "3:Resrefused"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value C4AB1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4BB1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4CB1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CK1B1_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value CK2B1_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value COV00B1_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV1B1_
      1 = "1:Head of household"
      2 = "2:Spouse of head"
      3 = "3:Other HH member"
   ;
   value PID1_
      96 = "96:Non-household member"
   ;
   value US21_
      1 = "1:White"
      3 = "3:Blue"
      5 = "5:A Little blue"
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value $CP1B1_
      'A' = "A:No one"
      'B' = "B:Children 5 or under"
      'C' = "C:Children older than 5"
      'D' = "D:Husband/wife"
      'E' = "E:An Adult"
      'F' = "F:An Adult"
      'Z' = "Z:Missing"
   ;
   value CP2B1_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
      9 = "9:Missing"
   ;
   value CP3B1_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
      9 = "9:Missing"
   ;
   value IC01B1_
      1 = "1:I have furnished the information"
      3 = "3:I have not furnished the information"
   ;
   value IC02B1_
      1 = "1:I agree"
      3 = "3:I don't agree"
   ;
   value IC_MTHB1_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
   ;
   value B1_MOVER_
      0 = "0:CANCEL"
      1 = "1:Cover"
      2 = "2:KS1 (KS02 - KS03)"
      3 = "3:KS2 (KS02A - KS04B)"
      4 = "4:KS3 (KS06 - KS07A)"
      5 = "5:KS4 (KS08 - KS12B)"
      6 = "6:KS5 (KS13A - KS16)"
      7 = "7:KSR1 (KSR17 - KSR23)"
      8 = "8:KSR2 (KSR24 - KSR37)"
      9 = "9:KSR3 (KSR38 - KSR46)"
      10 = "10:KSR4 (KSR47 - KSR50)"
      11 = "11:PP (PP2 - PP6)"
      12 = "12:CP (Interviewer notes)"
   ;
   value $DUMMY_KS4TYPE_
      'A' = "A:Rice"
      'C' = "C:Fish"
      'E' = "E:Cooking oil"
      'F' = "F:Granulated Sugar"
      'H1' = "H1:Kangkung"
      'H3' = "H3:Spinach"
      'K' = "K:Kerosene"
      'L' = "L:Vehicle fuel"
      'M' = "M:Beef"
      'N' = "N:Chicken"
      'W' = "W:NO PURCHASE IN 1 MONTH LAST"
   ;
   value $DUMMY_KSR17_
      'A' = "A:Program Kompensasi Pengurangan Subsidi BBM (BLT 2008)"
      'B' = "B:Program Bantuan Tunai Bersyarat (Keluarga Harapan)"
      'C' = "C:Bantuan Langsung Sementara Masyarakat (BLSM)"
   ;
   value $DUMMY_KSR24_
      'A' = "A:Raskin"
      'B' = "B:Operasi Pasar"
   ;
   value $DUMMY_KSR38_
      'B' = "B:Rice"
      'D' = "D:Granulated Sugar"
      'J' = "J:Cooking oil"
      'K' = "K:Kerosene"
      'W' = "W:NO PURCHASE OF OPERATION MARKET"
   ;
   value $DUMMY_KSR47_
      'A' = "A:Cash"
      'B' = "B:Goods"
      'W' = "W:No help"
   ;
   value $DUMMY_PP2_
      'A' = "A:Public Hospital (General or Specify)"
      'B' = "B:Private Hospital"
      'C' = "C:Public Health Center/Auxiliary Center"
      'D' = "D:Private Clinic"
      'E' = "E:Private Physician"
      'F1' = "F1:Midwife (Private or village Midwife)"
      'F2' = "F2:Nurse/Paramedic"
      'G1' = "G1:Traditional Birth Attendant"
      'G2' = "G2:Traditional Practitioner (Shamans"
      'H' = "H:Pharmacy"
      'I1' = "I1:Posyandu"
      'I2' = "I2:Posyandu for Elderly"
      'Y' = "Y:Don�t know"
   ;
   value INTRO_KS1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KS2_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KS3_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KS4_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KS5_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KSR1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KSR2_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KSR3_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KSR4_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_PP1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value $KS1TYPE_
      'A' = "A:Rice"
      'AA' = "AA:Granulated sugar"
      'B' = "B:Corn"
      'BA' = "BA:Coffee"
      'C' = "C:Sago"
      'CA' = "CA:Tea"
      'D' = "D:Cassava"
      'DA' = "DA:Cocoa"
      'E' = "E:Other staple foods"
      'EA' = "EA:Soft drink like fanta"
      'F' = "F:Kangkung"
      'FA' = "FA:Alcoholic beverages like beer"
      'G' = "G:Beans like mung-beans"
      'GA' = "GA:Betel nut(for chewing)"
      'H' = "H:Fruits like papaya"
      'HA' = "HA:Cigarettes"
      'I' = "I:Noodles"
      'IA' = "IA:Snacks(eaten at home)"
      'IB' = "IB:Meals eaten away from home"
      'J' = "J:Cookies"
      'K' = "K:Beef"
      'L' = "L:Chicken"
      'M' = "M:Fresh fish"
      'N' = "N:Salted fish"
      'OA' = "OA:Jerky"
      'OB' = "OB:Tofu"
      'P' = "P:Eggs"
      'Q' = "Q:Fresh milk"
      'R' = "R:Sweet and salty soy sauce"
      'S' = "S:Salt"
      'T' = "T:Shrimp paste"
      'U' = "U:Chili sauce"
      'V' = "V:Shallot"
      'W' = "W:Javanese (brown) sugar"
      'X' = "X:Butter"
      'Y' = "Y:Cooking oil like coconut oil"
      'Z' = "Z:Drinking water"
   ;
   value $KS2TYPE_
      'A1' = "A1:Electricity"
      'A2' = "A2:Water"
      'A3' = "A3:Household fuel"
      'A4' = "A4:Telephone"
      'B' = "B:Personal toiletries"
      'B1' = "B1:Bath soap"
      'B2' = "B2:Toothpaste"
      'B3' = "B3:Facial soap"
      'B4' = "B4:Shaving suplies"
      'B5' = "B5:Cosmetics"
      'B6' = "B6:Other"
      'B7' = "B7:Other"
      'B8' = "B8:Other"
      'C' = "C:Houshold items"
      'C0' = "C0:CLaundry soap"
      'C1' = "C1:Domestic service and servant's wages"
      'C2' = "C2:Cleaning tools"
      'C3' = "C3:Insect repellent"
      'C4' = "C4:Other"
      'C5' = "C5:Other"
      'C6' = "C6:Other"
      'D' = "D:Recreation and entertainment"
      'E' = "E:Transportation"
      'E1' = "E1:Cost of bus"
      'E2' = "E2:Taxi"
      'E3' = "E3:The cost of repair/ Servicing vehicles"
      'E4' = "E4:Vehicle fuel"
      'E5' = "E5:Other"
      'E6' = "E6:Other"
      'E7' = "E7:Other"
      'F1' = "F1:Sweeptakes"
      'F2' = "F2:Arisan"
      'G' = "G:Value of non food items given to others outside HH"
      'G1' = "G1:Installment loans made each month"
      'G2' = "G2:Other"
   ;
   value $KS3TYPE_
      'A' = "A:Clothing"
      'B' = "B:Household supplies and furniture"
      'C' = "C:Medical costs"
      'D' = "D:Ritual ceremonies"
      'E' = "E:Taxes"
      'F' = "F:Other expenditures not specified above"
      'G' = "G:Value of non food items given to others outside the HH"
   ;
   value KS13A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KS14_
      1 = "1:Kg -> KS15"
      2 = "2:Liter -> KS15"
      3 = "3:Bunch"
      4 = "4:Bottle"
      5 = "5:Bag"
      6 = "6:Bamboo scoop"
      7 = "7:Tail"
      9 = "9:Ounce"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KS14B_
      1 = "1:Kilograms"
      2 = "2:Liters"
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value KS16_
      1 = "1:High/Fresh fish/premium gasoline"
      2 = "2:Medium/average/briny fish/pertamax gasoline"
      3 = "3:Low/sardines"
      4 = "4:Import quality"
      5 = "5:Local quality"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $KS4TYPE_
      'A' = "A:Rice"
      'C' = "C:Fish"
      'E' = "E:Cooking oil"
      'F' = "F:Granulated Sugar"
      'H1' = "H1:Kangkung"
      'H3' = "H3:Spinach"
      'K' = "K:Kerosene"
      'L' = "L:Vehicle fuel"
      'M' = "M:Beef"
      'N' = "N:Chicken"
   ;
   value KSR17_
      1 = "1:Yes"
      3 = "3:No -> the next column"
      6 = "6:No Program -> the next column"
      9 = "9:Missing"
   ;
   value KSR18M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KSR18Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value KSR21X_
      6 = "6:Did not receive in the last 1 year"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR22M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KSR22Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value KSR23X_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $KSR3TYPE_
      'A' = "A:Program Kompensasi Penurunan Subsidi BBM-Bantuan Langsung Tunai"
      'B' = "B:Program Bantuan Tunai Bersyarat (Keluarga Harapan) (CCT)"
      'C' = "C:Bantuan Langsung Tunai Bersyarat (UCT)"
   ;
   value $KSR24A_
      'A' = "A:Yes, bought RASKIN rice"
      'B' = "B:Yes, received money from RASKIN"
      'C' = "C:No"
      'W' = "W:Don't know/No Program"
      'Z' = "Z:Missing"
   ;
   value KSR25B_
      99 = "99:Missing"
   ;
   value $KSR26BX_
      'A' = "A:Total quantity rice bought"
      'B' = "B:Total money received"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value $KSR27BX_
      'A' = "A:Total quantity rice bought"
      'B' = "B:Total money received"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value KSR28M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KSR28X_
      1 = "1:Month/Year"
      6 = "6:Don't buy Raskin -> KSR34"
      9 = "9:Missing"
   ;
   value KSR28Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value KSR29AX_
      1 = "1:The amount of rupiah"
      6 = "6:Don't accept money from raskin -> KSR34"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR29BX_
      1 = "1:The amount of kilograms"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR29X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR30X_
      1 = "1:Yes"
      6 = "6:No maximum"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR31X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR32X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR34X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR35_
      1 = "1:High"
      2 = "2:Medium"
      3 = "3:Low"
      6 = "6:NA/ Don't buy Raskin"
      9 = "9:Missing"
   ;
   value KSR36_
      1 = "1:Yes"
      3 = "3:No ->KSR38"
      6 = "6:NA -> KSR38"
      9 = "9:Missing"
   ;
   value KSR37_
      1 = "1:Have no money"
      2 = "2:The rice's quality is low"
      3 = "3:Have no time"
      4 = "4:Too far"
      5 = "5:Someone else need it more"
      6 = "6:No eligible"
      7 = "7:Don't have coupon for the program"
      8 = "8:Out of rice"
      9 = "9:Missing"
   ;
   value $KSR2TYPE_
      'B' = "B:Rice"
      'D' = "D:Sugar"
      'J' = "J:Cooking oil"
      'K' = "K:Kerosene"
   ;
   value KSR38_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $KSR39_
      'A' = "A:Central Government"
      'B' = "B:Regional Government"
      'C' = "C:Non-government"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value KSR40_
      99 = "99:Missing"
   ;
   value KSR40X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR41M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KSR41Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value KSR42X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR43X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR44_
      1 = "1:Kg"
      2 = "2:Liter"
      9 = "9:Missing"
   ;
   value KSR45X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR46_
      1 = "1:Kg"
      2 = "2:Liter"
      9 = "9:Missing"
   ;
   value KSR47_
      1 = "1:Yes"
      3 = "3:No -> the next row"
      9 = "9:Missing"
   ;
   value $KSR48_
      'A' = "A:Religious Organization"
      'B' = "B:Politic Organization"
      'C' = "C:Local LSM"
      'D' = "D:Individual"
      'E' = "E:Company"
      'F' = "F:Foreign government/foreign LSM/donor"
      'Z' = "Z:Missing"
   ;
   value KSR49M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value KSR49X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KSR49Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value KSR50X_
      1 = "1:Enter ammount/ yes"
      6 = "6:NOT RECEIVED WITHIN 4 WEEKS"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $KSR5TYPE_
      'A' = "A:Cash"
      'B' = "B:In-kind (food and non-food)"
   ;
   value PP2_
      1 = "1:Yes"
      3 = "3:No -> the next row"
      9 = "9:Missing"
   ;
   value PP3X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4ADDRX_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4AX_
      1 = "1:Desa/Kel known"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4BX_
      1 = "1:Kecamatan known"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4CX_
      1 = "1:Kabupten known"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4DX_
      1 = "1:Province known"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP4LOCX_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PP5_
      99 = "99:Missing"
   ;
   value PP5X_
      1 = "1:Minutes"
      2 = "2:Hours"
      3 = "3:Days"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value PP6X_
      1 = "1:Estimate of cost"
      3 = "3:Walk"
      5 = "5:Use own transportation"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $PPTYPE_
      'A' = "A:Public Hospital (General or Specify)"
      'B' = "B:Private Hospital"
      'C' = "C:Public Health Center/Auxiliary Center"
      'D' = "D:Private Clinic"
      'E' = "E:Private Physician"
      'F1' = "F1:Midwife (Private or village Midwife)"
      'F2' = "F2:Nurse/Paramedic"
      'G1' = "G1:Traditional Birth Attendant"
      'G2' = "G2:Traditional Practitioner (Shamans"
      'H' = "H:Pharmacy"
      'I1' = "I1:Posyandu"
      'I2' = "I2:Posyandu for Elderly"
   ;
   value MODE_1_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
      4 = "4:Partial save"
   ;
   value PARTIAL_B1_
      0 = "0:###"
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
