proc format;
   value BH00_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $BH01_
      'A' = "A:Private commercial bank"
      'B' = "B:Cooperative bank"
      'C' = "C:Government/Semi government bank"
      'D' = "D:Agricultural bank"
      'E' = "E:Employer"
      'F' = "F:Landlord"
      'G' = "G:Shopkeeper"
      'H' = "H:Non-government organization"
      'I' = "I:Neighborhood association"
      'J' = "J:Arisan"
      'K' = "K:Small farmers group"
      'L' = "L:Money lender"
      'M' = "M:Office"
      'N' = "N:Pawnshop"
      'O' = "O:Non Bank financial institution"
      'V' = "V:Other"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value BH02_
      1 = "1:Yes"
      3 = "3:No => BH27"
      9 = "9:Missing"
   ;
   value $BH03_
      'A' = "A:Responden"
      'B' = "B:Wife/husband"
      'C' = "C:Respondent's biological children and wife/husband"
      'D' = "D:Respondent's parents"
      'E' = "E:Respondent's parent's in law"
      'F' = "F:Respondent's siblings"
      'G' = "G:Respondent's brother/sister in law"
      'I' = "I:Grandchild"
      'J' = "J:Grandparent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non family"
      'Q' = "Q:Adopted child"
      'R' = "R:Family of spouse"
      'U' = "U:Ex-spouse"
      'V' = "V:Others"
      'Z' = "Z:Missing"
   ;
   value BH04_
      1 = "1:Yes"
      3 = "3:No =>BH07"
      9 = "9:Missing"
   ;
   value $BH05_
      'A' = "A:Responden"
      'B' = "B:Wife/husband"
      'C' = "C:Respondent's biological children and wife/husband"
      'D' = "D:Respondent's parents"
      'E' = "E:Respondent's parent's in law"
      'F' = "F:Respondent's siblings"
      'G' = "G:Respondent's brother/sister in law"
      'I' = "I:Grandchild"
      'J' = "J:Grandparent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non family"
      'Q' = "Q:Adopted child"
      'R' = "R:Family of spouse"
      'U' = "U:Ex-spouse"
      'V' = "V:Others"
      'Z' = "Z:Missing"
   ;
   value $BH06_
      'A' = "A:Private commercial bank"
      'B' = "B:Cooperative bank"
      'C' = "C:Government/Semi government bank"
      'D' = "D:Agricultural bank"
      'E' = "E:Employer"
      'F' = "F:Landlord"
      'G' = "G:Shopkeeper"
      'H' = "H:Non-government organization"
      'I' = "I:Neighborhood association"
      'J' = "J:Arisan"
      'K' = "K:Small farmers group"
      'L' = "L:Money lender"
      'M' = "M:Office"
      'N' = "N:Pawnshop"
      'O' = "O:Non Bank financial institution"
      'V' = "V:Other"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value BH07_
      1 = "1:Yes"
      3 = "3:No =>BH27"
      9 = "9:Missing"
   ;
   value $BH08_
      'A' = "A:Responden"
      'B' = "B:Wife/husband"
      'C' = "C:Respondent's biological children and wife/husband"
      'D' = "D:Respondent's parents"
      'E' = "E:Respondent's parent's in law"
      'F' = "F:Respondent's siblings"
      'G' = "G:Respondent's brother/sister in law"
      'I' = "I:Grandchild"
      'J' = "J:Grandparent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non family"
      'Q' = "Q:Adopted child"
      'R' = "R:Family of spouse"
      'U' = "U:Ex-spouse"
      'V' = "V:Others"
      'Z' = "Z:Missing"
   ;
   value BH10X_
      1 = "1:Borrow money"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BH27X_
      1 = "1:Rupiah"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BH28X_
      1 = "1:Rupiah"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value C1B2_
      1 = "1:Completed"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C2B2_
      1 = "1:Resnot at home"
      2 = "2:Reswas ill"
      3 = "3:Resrefused"
      5 = "5:Other"
   ;
   value C4AB2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4BB2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4CB2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CK1B2_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value CK2B2_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value COV00B2_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV1B2_
      1 = "1:Head of household"
      2 = "2:Spouse of head"
      3 = "3:Other HH member"
      9 = "9:Missing"
   ;
   value PID2_
      96 = "96:Non-household member"
   ;
   value $CP21_
      'A' = "A:No one"
      'B' = "B:Children 5 or under"
      'C' = "C:Children older than 5"
      'D' = "D:Husband/wife"
      'E' = "E:An Adult"
      'F' = "F:An Adult"
      'Z' = "Z:Missing"
   ;
   value CP22_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
   ;
   value CP23_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
   ;
   value B2_MOVER_
      0 = "0:CANCEL"
      1 = "1:IVWNAME2"
      2 = "2:KR03"
      3 = "3:UT00A"
      4 = "4:UT07XA"
      5 = "5:UT07AA"
      6 = "6:UT09Q"
      7 = "7:NT01"
      8 = "8:HRTYPE"
      9 = "9:HR2TYPE"
      10 = "10:HI2TYPE"
      11 = "11:ND01"
      12 = "12:BH00"
      13 = "13:CK1B2"
   ;
   value INTRO_BH1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_HI_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_HR1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_KR_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_ND1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_NT1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_UT1_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_UT2_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_UT3_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value INTRO_UT4_
      1 = "1:Interview continues"
      9 = "9:Skip to the next section"
   ;
   value HI214X_
      1 = "1:Given"
      3 = "3:Did not receive"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $HI2TYPE_
      'A' = "A:Retirement"
      'B1' = "B1:Government scholarship"
      'B2' = "B2:Private Scholarship"
      'C' = "C:Insurance money"
      'D1' = "D1:Winings/lottery"
   ;
   value HR201_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value HR202P1_
      11 = "11:<100 mil/ 50 mil/ 20mil/6 mil"
      12 = "12:>= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = "13:>100 mil/ 50 mil/ 20mil/6 mil"
      18 = "18:Don't know"
      21 = "21:<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = "22:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = "23:>50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value HR202P2_
      111 = "111:<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = "112:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = "113:>50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = "132:>=200mil / 100mil / 40mil / 10mil"
      133 = "133:>200mil / 100mil / 40mil / 10mil"
      138 = "138:Don't know"
      231 = "231:<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = "232:>=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = "233:>100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value HR202P3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = "2332:>=200mil / 100mil / 40mil / 10mil"
      2333 = "2333:>200mil / 100mil / 40mil / 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value HR202X_
      1 = "1:Enter amount"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value HR205X_
      1 = "1:Given"
      3 = "3:Don't have"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value HR206_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $HR208_
      'B' = "B:Spouse"
      'C' = "C:Child"
      'D' = "D:Parent"
      'E' = "E:Parent-in-law"
      'F' = "F:Sibling"
      'G' = "G:Sibling-in-law"
      'I' = "I:Grandkid"
      'J' = "J:Grandparent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non Family"
      'Q' = "Q:Step/adopted kid"
      'R' = "R:Family of spouse"
      'U' = "U:Ex spouse"
      'V' = "V:Others"
      'Z' = "Z:Missing"
   ;
   value $HR210_
      'A' = "A:Respondent"
      'B' = "B:Spouse"
      'C' = "C:Child"
      'D' = "D:Parent"
      'E' = "E:Parent-in-law"
      'F' = "F:Sibling"
      'G' = "G:Sibling-in-law"
      'I' = "I:Grandkid"
      'J' = "J:Grandparent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non Family"
      'Q' = "Q:Step/adopted kid"
      'R' = "R:Family of spouse"
      'U' = "U:Ex spouse"
      'V' = "V:Others"
      'Z' = "Z:Missing"
   ;
   value HR212X_
      1 = "1:Enter percentage"
      6 = "6:Neither A nor B"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $HRTYPE_
      'A' = "A:House occupied by this HH"
      'B' = "B:Other house/building"
      'C' = "C:Land outside farm land"
      'D1' = "D1:Livestock/fish pound"
      'D2' = "D2:poultry"
      'D3' = "D3:Tanaman Keras"
      'E' = "E:Vehicles(car)"
      'F' = "F:HH appliances(radio, TV)"
      'G' = "G:Savings/certificate of deposit/stocks"
      'H' = "H:Receivables"
      'J' = "J:Jewelry"
      'K1' = "K1:HH furniture and Utensils"
      'K2' = "K2:Other assets"
   ;
   value HR216X_
      1 = "1:Given"
      3 = "3:No purchase"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value HR217X_
      1 = "1:Given"
      3 = "3:No sales"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $HR2TYPE_
      'A' = "A:House occupied by this Household"
      'B' = "B:Other house/building"
      'C' = "C:Land (not used for farm business)"
      'E' = "E:Vehicles ( cars"
      'J' = "J:Jewelry"
      'V' = "V:Other assets outside those for farm or nonfarm activities"
   ;
   value IC01B2_
      1 = "1:I have furnished the data"
      3 = "3:I don't give information"
   ;
   value IC02B2_
      1 = "1:I agree"
      3 = "3:I don't agree"
   ;
   value IC_MTHB2_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
   ;
   value KR03_
      1 = "0Self owned => KR05a"
      2 = "0Occupying  => KR05a"
      5 = "0Rented/contracted"
      95 = "95:Other  => KR05a"
      99 = "99:Missing"
   ;
   value KR04AX_
      1 = "1:Rupiah / year"
      2 = "2:Rupiah / month"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR05AX_
      1 = "1:Rupiah / year"
      2 = "2:Rupiah / month"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR11_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR13_
      1 = "1:Pipe water"
      2 = "2:Well water w/pump"
      3 = "3:Well water (no pump)"
      4 = "4:Spring water"
      5 = "5:Rain water"
      6 = "6:River or creek water"
      7 = "7:Pond"
      8 = "8:Watr collction basin"
      10 = "10:Aqua/Air mineral"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR13A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR13B_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR14_
      1 = "1:Inside the house =>KR16"
      3 = "3:Outside the house"
      9 = "9:Missing"
   ;
   value KR16_
      1 = "1:Yes =>KR20"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR17_
      1 = "1:Piped water"
      2 = "2:Well water /pump"
      3 = "3:Well water (no pump)"
      4 = "4:Spring water"
      5 = "5:Rain water"
      6 = "6:River or creek water"
      7 = "7:Pond"
      8 = "8:Watr collction basin"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR17B_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR18_
      1 = "1:Inside the house =>KR20"
      3 = "3:Outside the house"
      9 = "9:Missing"
   ;
   value KR20_
      1 = "1:Own toilet with septic tank"
      2 = "2:Own toilet without sepic tank"
      3 = "3:Communal toilet"
      4 = "4:Public toilet"
      5 = "5:Creek/river/ditch"
      6 = "6:Yard or field"
      7 = "7:Sewer"
      9 = "9:Pond"
      10 = "10:Animal stable"
      11 = "11:Sea"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR21_
      1 = "1:Drainage ditch (flowing)"
      2 = "2:Drainage ditch (stagnant)"
      3 = "3:Permanent pit"
      4 = "4:Disposed into river"
      5 = "5:Disposed of in yard"
      7 = "7:Pond"
      8 = "8:Hole"
      9 = "9:Paddy field"
      11 = "11:Sea"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR22_
      1 = "1:Disposed in trash can"
      2 = "2:Burned"
      3 = "3:Diposed into river/creek"
      4 = "4:Disposed in yard and let decomposed"
      5 = "5:Disposed in pit"
      7 = "7:Forest"
      8 = "8:Sea"
      9 = "9:Paddy field"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR23_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Don't have refrigerator"
      9 = "9:Missing"
   ;
   value KR24_
      1 = "1:Electricity"
      2 = "2:Gas"
      3 = "3:Kerosene stove"
      4 = "4:Firewood"
      5 = "5:Charcoal"
      7 = "7:Don't cook"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KR24A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B1_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B2_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B3_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B4_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B5_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B6_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B7_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B8_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24B9_
      1 = "1:Yes, because of disaster"
      2 = "2:Yes, renovated"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR24CX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR25_
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value KR26_
      1 = "1:Yes"
      3 = "3:No =>KR27"
      9 = "9:Missing"
   ;
   value KR26AX_
      1 = "1:All household members"
      2 = "2:Only head of household"
      3 = "3:Persons"
      9 = "9:Missing"
   ;
   value KR27_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:No program"
      9 = "9:Missing"
   ;
   value KR27A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27B_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27D_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27E_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27F_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27G_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27H_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27I_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KR27J1A_
      96 = "96:Non-household member"
   ;
   value KR27J1B_
      96 = "96:Non-household member"
   ;
   value KR27J1C_
      96 = "96:Non-household member"
   ;
   value KR27J1D_
      96 = "96:Non-household member"
   ;
   value KR27J1E_
      96 = "96:Non-household member"
   ;
   value KR27J1X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR27J2A_
      96 = "96:Non-household member"
   ;
   value KR27J2B_
      96 = "96:Non-household member"
   ;
   value KR27J2C_
      96 = "96:Non-household member"
   ;
   value KR27J2D_
      96 = "96:Non-household member"
   ;
   value KR27J2E_
      96 = "96:Non-household member"
   ;
   value KR27J2X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR27J3A_
      96 = "96:Non-household member"
   ;
   value KR27J3B_
      96 = "96:Non-household member"
   ;
   value KR27J3C_
      96 = "96:Non-household member"
   ;
   value KR27J3D_
      96 = "96:Non-household member"
   ;
   value KR27J3E_
      96 = "96:Non-household member"
   ;
   value KR27J3X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR27J4A_
      96 = "96:Non-household member"
   ;
   value KR27J4B_
      96 = "96:Non-household member"
   ;
   value KR27J4C_
      96 = "96:Non-household member"
   ;
   value KR27J4D_
      96 = "96:Non-household member"
   ;
   value KR27J4E_
      96 = "96:Non-household member"
   ;
   value KR27J4X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR27K_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR28_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KR28TYPE_
      1 = "1:Car"
      2 = "2:Ship"
      3 = "3:motor boat"
      4 = "4:motorcycle"
      5 = "5:Bicycle"
      6 = "6:Boat"
      7 = "7:Refrigerator"
      8 = "8:Gas cylinder 12 kg or more"
      9 = "9:Handphone"
   ;
   value $ND01_
      'A' = "A:Flood"
      'B' = "B:Landslide"
      'C' = "C:Mud overflow"
      'D' = "D:Earthquake"
      'E' = "E:Volcanic eruption"
      'F' = "F:Tsunami"
      'G' = "G:Windstorm"
      'H' = "H:Forest fire"
      'I' = "I:Fire"
      'J' = "J:Civil srife"
      'S' = "S:Drought"
      'W' = "W:No disaster =>ND02a"
      'Z' = "Z:Missing"
   ;
   value ND02_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $ND02A_
      'K' = "K:Death Head of Household / Income Home Seekers"
      'L' = "L:Death Other Household Members"
      'M' = "M:Serious illness suffered by the Head of HHd requiring hospitalization/treatment"
      'N' = "N:Serious illness suffered by other HHd Members requiring hospitalization/treatment"
      'O' = "O:Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "Q:failed Harvest"
      'R' = "R:The fall in income due to decline in production and the rate of price decline"
      'W' = "W:No disaster"
      'Z' = "Z:Missing"
   ;
   value ND05M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value ND05Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value $ND06_
      'A' = "A:Flood"
      'B' = "B:Landsilde"
      'C' = "C:Mud overflow"
      'D' = "D:Earthquake"
      'E' = "E:Volcanic eruption"
      'F' = "F:Tsunami"
      'G' = "G:Windstorm"
      'H' = "H:Forest fire"
      'I' = "I:Fire"
      'J' = "J:Civil srife"
      'K' = "K:Death Head of Household / Income Home Seekers"
      'L' = "L:Death Other Household Members"
      'M' = "M:Serious illness suffered by the Head of HHd requiring hospitalization/treatment"
      'N' = "N:Serious illness suffered by other HHd Members requiring hospitalization/treatment"
      'O' = "O:Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "Q:failed Harvest"
      'R' = "R:The fall in income due to decline in production and the rate of price decline"
      'S' = "S:Drought"
      'W' = "W:No disaster"
      'Z' = "Z:Missing"
   ;
   value ND07X_
      1 = "1:Enter amount =>ND09"
      6 = "6:No HH business =>ND09"
      7 = "7:Refused to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value ND08A_
      11 = "11:<6mil"
      12 = "12:>= 6mil"
      13 = "13:> 6mil"
      18 = "18:Don't know"
      21 = "21:< 4mil"
      22 = "22:>= 4mil"
      23 = "23:> 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:< 4mil"
      112 = "112:>= 4mil"
      113 = "113:>4mil"
      118 = "1Don't know"
      131 = "131:<10mil"
      132 = "132:>= 10mil"
      133 = "133:>10mil"
      138 = "138:Don't know"
      231 = "231:<6mil"
      232 = "232:>=6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
      2331 = "2331:<10mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value ND09X_
      1 = "1:Enter amount"
      7 = "7:Refused to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value ND10A_
      1 = "1:Yes => ND04 next column/ Section BH"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value nd10_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ND11X_
      1 = "1:Yes"
      6 = "6:Not applicable"
      9 = "9:Missing"
   ;
   value ND12X_
      1 = "1:Yes"
      6 = "6:Not applicable"
      9 = "9:Missing"
   ;
   value ND14_
      1 = "1:Lightly damage"
      2 = "2:Heavily damage"
      3 = "3:Destroyed"
      6 = "6:Not damaged =>ND16"
   ;
   value ND15_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $ND16_
      'A' = "A:Central government"
      'B' = "B:Regional government"
      'C' = "C:Religious groups"
      'D' = "D:Political organizations"
      'E' = "E:Other domestic NGO"
      'F' = "F:Private donors"
      'G' = "G:Firms/corporations"
      'H' = "H:Foreign government/NGO/donors"
      'W' = "W:Not received assisteance"
      'Z' = "Z:Missing"
   ;
   value ND18_
      1 = "1:Yes"
      3 = "3:No =>ND04 next column/ Section BH"
      9 = "9:Missing"
   ;
   value $ND19_
      'A' = "A:Private home-family"
      'B' = "B:Private home-friend or neighbor"
      'C' = "C:Private home-other"
      'D' = "D:Place of worship"
      'E' = "E:Offices/schools"
      'F' = "F:Camp site"
      'G' = "G:Barracks"
      'H' = "H:Tent outside the camp site"
      'I' = "I:Open space"
      'Z' = "Z:Missing"
   ;
   value ND20X_
      1 = "1:Enter"
      6 = "6:Still living there"
      9 = "9:Missing"
   ;
   value ND20XX_
      1 = "1:Days"
      2 = "2:Weeks"
      3 = "3:Months"
      4 = "4:Years"
      9 = "9:Missing"
   ;
   value ND21_
      1 = "1:Yes"
      2 = "2:No"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $NDTYPE_
      'A' = "A:Flood"
      'B' = "B:Landslide"
      'C' = "C:Mud overflow"
      'D' = "D:Earthquake"
      'E' = "E:Volcanic eruption"
      'F' = "F:Tsunami"
      'G' = "G:Windstorm"
      'H' = "H:Forest fire"
      'I' = "I:Fire"
      'J' = "J:Civil srife"
      'K' = "K:Death Head of Household / Income Home Seekers"
      'L' = "L:Death Other Household Members"
      'M' = "M:Serious illness suffered by the Head of HHd requiring hospitalization/treatment"
      'N' = "N:Serious illness suffered by other HHd Members requiring hospitalization/treatment"
      'O' = "O:Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "Q:failed Harvest"
      'R' = "R:The fall in income due to decline in production and the rate of price decline"
      'S' = "S:Drought"
      'W' = "W:No disaster"
   ;
   value NT01_
      1 = "1:Yes"
      3 = "3:No =>SECTION HR"
      9 = "9:Missing"
   ;
   value NT02_
      1 = "1:Yes =>NT05"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $NT04_
      'B' = "B:Spouse"
      'C' = "C:Child/ law"
      'D' = "D:Parents"
      'E' = "E:Parents in law"
      'F' = "F:Sibling"
      'G' = "G:Brother/sister in law"
      'I' = "I:Grand child"
      'J' = "J:Grand parent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non family"
      'Q' = "Q:Step/adopted child"
      'R' = "R:Family of spouse"
      'U' = "U:Ex spouse"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value $NT05_
      'A' = "A:Respondent"
      'B' = "B:Spouse"
      'C' = "C:Child"
      'D' = "D:Parents"
      'E' = "E:Parents in law"
      'F' = "F:Sibling"
      'G' = "G:Brother/sister in law"
      'I' = "I:Grand child"
      'J' = "J:Grand parent"
      'K' = "K:Uncle/aunt"
      'L' = "L:Nephew/niece"
      'M' = "M:Cousin"
      'P' = "P:Non family"
      'Q' = "Q:Step/adopted child"
      'R' = "R:Family of spouse"
      'U' = "U:Ex spouse"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value NT05B_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value NT05C_
      1 = "1:Agriculture"
      2 = "2:Sales"
      4 = "4:Electricity"
      5 = "5:Construction"
      7 = "7:Transportation and communication"
      8 = "8:Finance"
      21 = "21:Restaurant"
      22 = "22:Industrial: food"
      23 = "23:Industrial: garment"
      24 = "24:Industrial: other"
      25 = "25:Store: outside of food"
      31 = "31:Service: Government"
      32 = "32:Service: Teacher"
      33 = "33:Service: Proffesional staff"
      34 = "34:Service: Transportation"
      35 = "35:Service: Other"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value NT05E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value NT05F_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value NT07A1_
      12    = "12:12. ~ 4 mil"
      13    = "13:13. > 4 mil"
      18    = "18:18. DK     "
      21    = "21:21. < 2 mil"
      22    = "22:22. ~ 2 mil"
      23    = "23:23. > 2 mil"
      28    = "28:28. DK     "
      99    = "99:99. Missing"
      111   = "111:111. < 2 mil"
      112   = "112:112. ~ 2 mil"
      113   = "113:113. > 2 mil"
      118   = "118:118. DK     "
      131   = "131:131. < 8 mil"
      132   = "132:132. ~ 8 mil"
      133   = "133:133. > 8 mil"
      138   = "138:138. DK     "
      231   = "231:231. < 4 mil"
      232   = "232:232. ~ 4 mil"
      233   = "233:233. > 4 mil"
      238   = "238:238. DK     "
      999   = "999:999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   value NT07A2_
      12    = "12:12. ~ 4 mil"
      13    = "13:13. > 4 mil"
      18    = "18:18. DK     "
      21    = "21:21. < 2 mil"
      22    = "22:22. ~ 2 mil"
      23    = "23:23. > 2 mil"
      28    = "28:28. DK     "
      99    = "99:99. Missing"
      111   = "111:111. < 2 mil"
      112   = "112:112. ~ 2 mil"
      113   = "113:113. > 2 mil"
      118   = "118:118. DK     "
      131   = "131:131. < 8 mil"
      132   = "132:132. ~ 8 mil"
      133   = "133:133. > 8 mil"
      138   = "138:138. DK     "
      231   = "231:231. < 4 mil"
      232   = "232:232. ~ 4 mil"
      233   = "233:233. > 4 mil"
      238   = "238:238. DK     "
      999   = "999:999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   /*
   value NT07A1_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT07A1_2_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT07A2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "118:Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT07A2_2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT07A3_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10 mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT07A3_2_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value NT07X_
      1 = "1:Given =>NT08"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT07X_2_
      1 = "1:Given => NT08"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT08A2_
      12   = "12:12. ~ 4 mil"
      13   = "13:13. > 4 mil"
      18   = "18:18. DK     "
      21   = "21:21. < 2 mil"
      22   = "22:22. ~ 2 mil"
      23   = "23:23. > 2 mil"
      28   = "28:28. DK     "
      99   = "99:99. Missing"
      111  = "111:111. < 2 mil"
      112  = "112:112. ~ 2 mil"
      113  = "113:113. > 2 mil"
      118  = "118:118. DK     "
      131  = "131:131. < 8 mil"
      132  = "132:132. ~ 8 mil"
      133  = "133:133. > 8 mil"
      138  = "138:138. DK     "
      231  = "231:231. < 4 mil"
      232  = "232:232. ~ 4 mil"
      233  = "233:233. > 4 mil"
      238  = "238:238. DK     "
      999  = "999:999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   value NT08A3_
      12   = "12:12. ~ 4 mil"
      13   = "13:13. > 4 mil"
      18   = "18:18. DK     "
      21   = "21:21. < 2 mil"
      22   = "22:22. ~ 2 mil"
      23   = "23:23. > 2 mil"
      28   = "28:28. DK     "
      99   = "99:99. Missing"
      111  = "111:111. < 2 mil"
      112  = "112:112. ~ 2 mil"
      113  = "113:113. > 2 mil"
      118  = "118:118. DK     "
      131  = "131:131. < 8 mil"
      132  = "132:132. ~ 8 mil"
      133  = "133:133. > 8 mil"
      138  = "138:138. DK     "
      231  = "231:231. < 4 mil"
      232  = "232:232. ~ 4 mil"
      233  = "233:233. > 4 mil"
      238  = "238:238. DK     "
      999  = "999:999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   /*
   value NT08A1_
      11 = "11:<6 mil"
      12 = "12:>= 6mil"
      13 = "13:>6mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4 mil"
      23 = "23:>4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT08A1_2_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT08A2_
      111 = "111:<4 mil"
      112 = "112:>=4 mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value NT08A2_2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT08A3_
      2331 = "2331:< 10 mil"
      2332 = "2332:>= 10 mil"
      2333 = "2333:> 10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT08A3_2_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value NT08X_
      1 = "1:Given =>NT09b"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT08X_2_
      1 = "1:Given => NT09b"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09BX_
      1 = "1:Given => NT09d"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09BX_2_
      1 = "1:Given"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09C1_
      11 = "11:< 6mil"
      12 = "12:>= 6mil"
      13 = "13:> 6mil"
      18 = "18:Don't know"
      21 = "21:< 4mil"
      22 = "22:>= 4mil"
      23 = "23:> 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09C1_2_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09C2_
      111 = "111:< 4mil"
      112 = "112:>= 4mil"
      113 = "113:> 4mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:> 10 mil"
      138 = "138:Don't know"
      231 = "231:< 6mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value NT09C2_2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT09C3_
      2331 = "2331:<10mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:> 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09C3_2_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09DX_
      1 = "1:Given =>NT09f"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09DX_2_
      1 = "1:Given =>NT09f"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09E1_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09E1_2_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09E2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "118:Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT09E2_2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT09E3_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09E3_2_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09FX_
      1 = "1:Given =>NT10"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09FX_2_
      1 = "1:Given =>NT10"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09G1_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09G1_2_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT09G2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT09G2_2_
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT09G3_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09G3_2_
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09X_
      1 = "1:Given =>NT09b"
      3 = "3:Given minus =>NT09b"
      7 = "7:Unwiling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT09X_2_
      1 = "1:Given =>NT09b"
      3 = "3:Given minus  =>NT09b"
      7 = "7:Unwiling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT10AP1_
      11 = "11:<100 mil/ 50 mil/ 20mil/6 mil"
      12 = "12:>= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = "13:>100 mil/ 50 mil/ 20mil/6 mil"
      18 = "18:Don't know"
      21 = "21:<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = "22:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = "23:>50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT10AP2_
      111 = "111:<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = "112:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = "113:>50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = "132:>=200mil / 100mil / 40mil / 10mil"
      133 = "133:>200mil / 100mil / 40mil / 10mil"
      138 = "138:Don't know"
      231 = "231:<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = "232:>=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = "233:>100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT10AP3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = "2332:>=200mil / 100mil / 40mil / 10mil"
      2333 = "2333:>200mil / 100mil / 40mil / 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10AX_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT10BP1_
      11 = "11:<100 mil/ 50 mil/ 20mil/6 mil"
      12 = "12:>= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = "13:>100 mil/ 50 mil/ 20mil/6 mil"
      18 = "18:Don't know"
      21 = "21:<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = "22:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = "23:>50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT10BP2_
      111 = "111:<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = "112:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = "113:>50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = "132:>=200mil / 100mil / 40mil / 10mil"
      133 = "133:>200mil / 100mil / 40mil / 10mil"
      138 = "138:Don't know"
      231 = "231:<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = "232:>=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = "233:>100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT10BP3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = "2332:>=200mil / 100mil / 40mil / 10mil"
      2333 = "2333:>200mil / 100mil / 40mil / 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10BX_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT10C1P1_
      11 = "11:<100 mil/ 50 mil/ 20mil/6 mil"
      12 = "12:>= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = "13:>100 mil/ 50 mil/ 20mil/6 mil"
      18 = "18:Don't know"
      21 = "21:<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = "22:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = "23:>50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT10C1P2_
      111 = "111:<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = "112:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = "113:>50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = "132:>=200mil / 100mil / 40mil / 10mil"
      133 = "133:>200mil / 100mil / 40mil / 10mil"
      138 = "138:Don't know"
      231 = "231:<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = "232:>=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = "233:>100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT10C1P3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = "2332:>=200mil / 100mil / 40mil / 10mil"
      2333 = "2333:>200mil / 100mil / 40mil / 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10C1X_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT10C4P1_
      11 = "11:<100 mil/ 50 mil/ 20mil/6 mil"
      12 = "12:>= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = "13:>100 mil/ 50 mil/ 20mil/6 mil"
      18 = "18:Don't know"
      21 = "21:<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = "22:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = "23:>50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value NT10C4P2_
      111 = "111:<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = "112:>= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = "113:>50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = "132:>=200mil / 100mil / 40mil / 10mil"
      133 = "133:>200mil / 100mil / 40mil / 10mil"
      138 = "138:Don't know"
      231 = "231:<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = "232:>=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = "233:>100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
   ;
   value NT10C4P3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = "2332:>=200mil / 100mil / 40mil / 10mil"
      2333 = "2333:>200mil / 100mil / 40mil / 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10C4X_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value nt10h_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10HX_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT15M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value NT15X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT15Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value NT16X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT17AX_
      1 = "1:Given"
      6 = "6:NA =>NT18"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $NT17B_
      'A' = "A:Household saving"
      'B' = "B:Family"
      'C' = "C:Other owners/partners"
      'D' = "D:Loans from bank"
      'E' = "E:Loans from others"
      'Z' = "Z:Missing"
   ;
   value NT17X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT18_
      1 = "1:Yes =>NT22"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value NT19M_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value NT19X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT19Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value NT20X_
      1 = "1:Given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value NT21X_
      1 = "1:Given =>NT09"
      8 = "8:Don't Know =>NT09"
      9 = "9:Missing"
   ;
   value NT22X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT23X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT24X_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT25X_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value NT26X_
      1 = "1:Given"
      3 = "3:None"
      7 = "7:Unwilling to Answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MODE_B2_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_B2_
      0 = "0:###"
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   value UT00A_
      1 = "1:Yes"
      3 = "3:No =>UT01"
      9 = "9:Missing"
   ;
   value UT00BX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT00DX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT00E_
      1 = "1:Patok D =>UT00g"
      2 = "2:Letter C =>UT00g"
      3 = "3:Title of ownership"
      5 = "5:Other =>UT00g"
      6 = "6:No Document =>UT00g"
      9 = "9:Missing"
   ;
   value UT00FM_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value UT00FX_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT00FY_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value UT00GX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:Not applicable"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT00HX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:Not applicable"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT01_
      1 = "1:Yes"
      3 = "3:No =>UT01c"
      9 = "9:Missing"
   ;
   value UT01AX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:NA"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT01BX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:NA"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT01C_
      1 = "1:UT01=3 & UT00A=1 =>UT10"
      2 = "2:UT01=3 & UT00A=3 => SEKSI NT"
      3 = "3:UT01=1"
   ;
   value UT01EX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:NA"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT01FX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:NA"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT05AX_
      1 = "1:Given"
      6 = "6:Not applicable"
      9 = "9:Missing"
   ;
   value UT07A_
      1 = "1:Cassava"
      2 = "2:Other tuber"
      3 = "3:Groundnuts"
      4 = "4:Cashews and other nuts"
      5 = "5:Soybean"
      6 = "6:Corn"
      7 = "7:Chili"
      8 = "8:Garlic"
      9 = "9:Coconut"
      10 = "10:Bananas trees"
      11 = "11:Spice"
      12 = "12:Coffe"
      13 = "13:Sugarcane"
      14 = "14:Tobacco"
      15 = "15:Rubber"
      16 = "16:Wood"
      17 = "17:Chickens"
      18 = "18:Fish"
      19 = "19:Pigs"
      20 = "20:Goats"
      21 = "21:Cattle"
      22 = "22:Other vegetables"
      23 = "23:Other Fruits"
      90 = "90:Rice"
      95 = "95:Other"
      96 = "96:No other crop/livestock"
   ;
   value UT07AA_
      1 = "1:Yes"
      3 = "3:No =>UT07"
      9 = "9:Missing"
   ;
   value UT07AB_
      1 = "1:Ya"
      3 = "3:Tidak =>UT07ag"
      9 = "9:Missing"
   ;
   value UT07AC_
      1 = "1:Ya"
      3 = "3:Tidak =>UT07ag"
      9 = "9:Missing"
   ;
   value UT07AD_
      1 = "1:Boats with motors in> 100 GT"
      2 = "2:Boats with motors in 30-100 GT"
      3 = "3:Boats with motors in 5-30 GT"
      4 = "4:Boats with motors in < 5 GT"
      5 = "5:motorboats outside"
      6 = "6:No motorized boats - small (catamarans)"
      7 = "7:No motorized boats - being"
      8 = "8:No motorized boats - large"
      9 = "9:Missing"
   ;
   value UT07AI_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value UT07AX_
      1 = "1:Given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value UT07B_
      1 = "1:Cassava"
      2 = "2:Other tuber"
      3 = "3:Groundnuts"
      4 = "4:Cashews and other nuts"
      5 = "5:Soybean"
      6 = "6:Corn"
      7 = "7:Chili"
      8 = "8:Garlic"
      9 = "9:Coconut"
      10 = "10:Bananas trees"
      11 = "11:Spice"
      12 = "12:Coffe"
      13 = "13:Sugarcane"
      14 = "14:Tobacco"
      15 = "15:Rubber"
      16 = "16:Wood"
      17 = "17:Chickens"
      18 = "18:Fish"
      19 = "19:Pigs"
      20 = "20:Goats"
      21 = "21:Cattle"
      22 = "22:Other vegetables"
      23 = "23:Other Fruits"
      90 = "90:Rice"
      95 = "95:Other"
      96 = "96:No other crop/livestock"
   ;
   value UT07BX_
      1 = "1:Given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $UT07C_
      'A' = "A:Cassava"
      'A1' = "A1:No other crop/livestock"
      'A2' = "A2:Other vegetables"
      'B' = "B:Other tuber"
      'C' = "C:Groundnuts"
      'D' = "D:Cashews and other nuts"
      'E' = "E:Soybean"
      'F' = "F:Corn"
      'G' = "G:Chili"
      'H' = "H:Garlic"
      'I' = "I:Coconut"
      'J' = "J:Bananas trees"
      'K' = "K:Spice"
      'L' = "L:Coffe"
      'M' = "M:Sugarcane"
      'N' = "N:Tobacco"
      'O' = "O:Rubber"
      'P' = "P:Wood"
      'Q' = "Q:Chickens"
      'R' = "R:Fish"
      'S' = "S:Pigs"
      'T' = "T:Goats"
      'U' = "U:Cattle"
      'V' = "V:Other"
      'W' = "W:Other fruits"
      'Y' = "Y:Rice"
      'Z' = "Z:Missing"
   ;
   value UT07C1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value UT07D_
      1 = "1:IF UT07a=90 OR UT07b=90 OR UT07c=Y =>UT07xa"
      3 = "3:IF UT07a<>90 AND UT07b<>90 AND UT07c<>Y =>UT07aa"
      9 = "9:Missing"
   ;
   /*
   value UT07P1_
      11 = "11:<6 million"
      12 = "12:roughly equal to 6 million"
      13 = "13:>6 million"
      18 = "18:Don't know"
      21 = "21:<4 million"
      22 = "22:roughly equal to 4 million"
      23 = "23:>4 million"
      28 = "28:Don't know"
      99 = "99:MIssing"
   ;
   value UT07P2_
      111 = "111:<4 million"
      112 = "1roughly equal to 4 million"
      113 = "113:>4 million"
      118 = "1Don't know"
      131 = "131:<10 million"
      132 = "132:roughly equal to 10 million"
      133 = "133:>10 million"
      138 = "138:Don't know"
      231 = "231:<6 million"
      232 = "232:roughly equal to 6 million"
      233 = "233:>6 million"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value UT07P3_
      2331 = "2331:<10 million"
      2332 = "2332:roughly equal to 10 million"
      2333 = "2333:>10 million"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value UT07X_
      1 = "1:Enter total rupiah =>UT08"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   /*
   value UT08P1_
      11 = "11:<6 million"
      12 = "12:roughly equal to 6 million"
      13 = "13:>6 million"
      18 = "18:Don't know"
      21 = "21:<4 million"
      22 = "22:roughly equal to 4 million"
      23 = "23:>4 million"
      28 = "28:Don't know"
      99 = "99:MIssing"
   ;
   value UT08P2_
      111 = "111:<4 million"
      112 = "1roughly equal to 4 million"
      113 = "113:>4 million"
      118 = "118:Don't know"
      131 = "131:<10 million"
      132 = "132:roughly equal to 10 million"
      133 = "133:>10 million"
      138 = "138:Don't know"
      231 = "231:<6 million"
      232 = "232:roughly equal to 6 million"
      233 = "233:>6 million"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value UT08P3_
      2331 = "2331:<10 million"
      2332 = "2332:roughly equal to 10 million"
      2333 = "2333:>10 million"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value UT08X_
      1 = "1:Enter total rupiah =>UT09q"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   /*
   value UT09P1_
      11 = "11:<6 million"
      12 = "12:roughly equal to 6 million"
      13 = "13:>6 million"
      18 = "18:Don't know"
      21 = "21:<4 million"
      22 = "22:roughly equal to 4 million"
      23 = "23:>4 million"
      28 = "28:Don't know"
      99 = "99:MIssing"
   ;
   value UT09P2_
      111 = "111:<4 million"
      112 = "1roughly equal to 4 million"
      113 = "113:>4 million"
      118 = "118:Don't know"
      131 = "131:<10 million"
      132 = "132:roughly equal to 10 million"
      133 = "133:>10 million"
      138 = "138:Don't know"
      231 = "231:<6 million"
      232 = "232:roughly equal to 6 million"
      233 = "233:>6 million"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value UT09P3_
      2331 = "2331:<10 million"
      2332 = "2332:roughly equal to 10 million"
      2333 = "2333:>10 million"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value UT09Q_
      1 = "1:Yes"
      3 = "3:No =>UT10"
      6 = "6:No crops/not yet harvested =>UT10"
      9 = "9:Missing"
   ;
   value UT09X_
      1 = "1:Profit  =>UT09q"
      3 = "3:Loss  =>UT09q"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07EM_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value UT07EX_
      1 = "1:Given date"
      6 = "6:Not Harvested"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07EY_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value UT07FM_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value UT07FX_
      1 = "1:Given date"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07FY_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value UT07GX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT07H_
      1 = "1:Rain"
      2 = "2:Irigation"
      3 = "3:Well/pump"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value UT07I_
      1 = "1:Cianjur Kepala"
      2 = "2:Cianjur Slyp"
      3 = "3:Setra"
      4 = "4:Saigon Bondung"
      5 = "5:Muncil I"
      6 = "6:IR64"
      7 = "7:IR42"
      8 = "8:Ketan Putih"
      9 = "9:Ketan Hitam"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value UT07JX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT07KX_
      1 = "1:Given in hectares"
      2 = "2:Given in square meters"
      6 = "6:NA"
      8 = "8:Don'tknow"
      9 = "9:Missing"
   ;
   value UT07LX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07LXX_
      1 = "1:Unhusked =>UT07n"
      2 = "2:Husked"
      9 = "9:Missing"
   ;
   value UT07MX_
      1 = "1:kg GKP"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07NX_
      1 = "1:Rp"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07OX_
      1 = "1:Rp"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07PX_
      1 = "1:kilogram"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07QX_
      1 = "1:Rp"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT07RX_
      1 = "1:kg GKP"
      6 = "6:No share cropping arrangement"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT09R_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value UT09SM_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value UT09SX_
      1 = "1:Given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value UT09SY_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value UT09TX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $UT3TYPE_
      'C1' = "C1:CDrought/lact water"
      'C2' = "C2:CFlood"
      'C3' = "C3:CPestilence/Rodents"
      'C4' = "C4:CDisease"
      'C5' = "C5:COther"
   ;
   value UT10_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   /*
   value UT11PA_
      11 = "11:< 50 mil / 20 mil / 100 mil"
      12 = "12:>=500 mil"
      13 = "13:>50 mil/20 mil/100 mil"
      18 = "18:Don't know"
      21 = "21:<25mil/ 10 mil/ 50 mil"
      22 = "22:>=25mil/ 10 mil/ 50 mil"
      23 = "23:>25mil/ 10 mil/ 50 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
   ;
   value UT11PB_
      111 = "111:<25mil/ 10 mil/ 50 mil"
      112 = "112:>=25mil/ 10 mil/ 50 mil"
      113 = "113:>25mil/ 10 mil/ 50 mil"
      118 = "1Don't know"
      131 = "131:<100 mil/ 40 mil/ 200 mil"
      132 = "132:>= 100 mil/ 40 mil/ 200 mil"
      133 = "133:> 100 mil/ 40 mil/ 200 mil"
      138 = "138:Don't know"
      231 = "231:<50 mil/ 20 mil/ 100 mil"
      232 = "232:>= 50 mil"
      233 = "233:>50 mil/ 20 mil/ 100 mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
   ;
   value UT11PC_
      2331 = "2331:<100 mil/ 40 mil/ 200 mil"
      2332 = "2332:>= 100 mil/ 40 mil/ 200 mil"
      2333 = "2333:> 100 mil/ 40 mil/ 200 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   */
   value UT11X_
      1 = "1:Enter amount"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT12X_
      1 = "1:Enter amount"
      3 = "3:None (no purchase)"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT13X_
      1 = "1:Enter amount"
      3 = "3:None"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value UT14X_
      1 = "1:Enter amount"
      3 = "3:None"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $UTTYPE_
      'A' = "A:Farm land"
      'B' = "B:Hard stem plants (ex:coconut palm)"
      'C' = "C:House/building"
      'D1' = "D1:Poultry"
      'D2' = "D2:Livestock/fish pond"
      'E' = "E:Vehicles (bicycle)"
      'E1' = "E1:Boat"
      'F' = "F:Tractor"
      'F1' = "F1:Irrigation Equipment"
      'G' = "G:Heavy equipment"
      'H' = "H:Small tools (ex:chainsaw)"
      'H1' = "H1:Small fishing tools (nets)"
      'I' = "I:Other beside A-H"
      'J' = "J:Other assets beside land"
   ;
   value hr02p_a_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_b_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_c_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d3_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 50 mil  "
      132    = "132. ~ 50 mil  "
      133    = "133. > 50 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 50 mil "
      2332   = "2332. ~ 50 mil "
      2333   = "2333. > 50 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_f_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_g_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_h_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_j_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k1_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k2_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut07p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut08p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut09p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_a_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_b_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_c_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f1_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_g_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_i_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_j_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt07a_
      12    = "12:12. ~ 4 mil"
      13    = "13:13. > 4 mil"
      18    = "18:18. DK     "
      21    = "21:21. < 2 mil"
      22    = "22:22. ~ 2 mil"
      23    = "23:23. > 2 mil"
      28    = "28:28. DK     "
      99    = "99:99. Missing"
      111   = "111:111. < 2 mil"
      112   = "112:112. ~ 2 mil"
      113   = "113:113. > 2 mil"
      118   = "118:118. DK     "
      131   = "131:131. < 8 mil"
      132   = "132:132. ~ 8 mil"
      133   = "133:133. > 8 mil"
      138   = "138:138. DK     "
      231   = "231:231. < 4 mil"
      232   = "232:232. ~ 4 mil"
      233   = "233:233. > 4 mil"
      238   = "238:238. DK     "
      999   = "999:999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   value nt08a_
      11 = "11:<6 mil"
      12 = "12:>= 6mil"
      13 = "13:>6mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4 mil"
      23 = "23:>4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>=4 mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
      2331 = "2331:< 10 mil"
      2332 = "2332:>= 10 mil"
      2333 = "2333:> 10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value nt09a_
      12   = "12:12. ~ 4 mil"
      13   = "13:13. > 4 mil"
      18   = "18:18. DK     "
      21   = "21:21. < 2 mil"
      22   = "22:22. ~ 2 mil"
      23   = "23:23. > 2 mil"
      28   = "28:28. DK     "
      99   = "99:99. Missing"
      111  = "111:111. < 2 mil"
      112  = "112:112. ~ 2 mil"
      113  = "113:113. > 2 mil"
      118  = "118:118. DK     "
      131  = "131:131. < 8 mil"
      132  = "132:132. ~ 8 mil"
      133  = "133:133. > 8 mil"
      138  = "138:138. DK     "
      231  = "231:231. < 4 mil"
      232  = "232:232. ~ 4 mil"
      233  = "233:233. > 4 mil"
      238  = "238:238. DK     "
      999  = "999:999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   value NT09C_
      11 = "11:< 6mil"
      12 = "12:>= 6mil"
      13 = "13:> 6mil"
      18 = "18:Don't know"
      21 = "21:< 4mil"
      22 = "22:>= 4mil"
      23 = "23:> 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:< 4mil"
      112 = "112:>= 4mil"
      113 = "113:> 4mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:> 10 mil"
      138 = "138:Don't know"
      231 = "231:< 6mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
      2331 = "2331:<10mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:> 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09E_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "118:Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09G_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10AP_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10Bp_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10C1P_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10C4P_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10hp_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;      
run;
