proc format;
   value AK01_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value AK06_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value AK02_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value AK03_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value AK03X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $AK04_
      'A' = "A:Puskesmas or pustu"
      'B' = "B:Private"
      'C' = "C:Public hospital"
      'G' = "G:Employer provide clinic"
      'W' = "W:Not applicable"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value $AK05_
      'A' = "A:Spouse"
      'B' = "B:Oldest child"
      'C' = "2nd oldest child"
      'D' = "3rd oldest child"
      'E' = "E:Other child"
      'H' = "H:Parents"
      'V' = "V:Other"
      'W' = "W:No one"
      'Z' = "Z:Missing"
   ;
   value $AKTYPE_
      'A' = "A:Health insurance (ASKES)"
      'B' = "B:Labor Force insurance (ASTEK)"
      'C' = "C:Medical Expenditure Reimbursement"
      'D' = "D:Employer provided clinic"
      'E' = "E:Private health insurance"
      'G' = "G:Savings-related insurance"
      'H' = "H:JAMKESMAS"
      'I' = "I:JAMKESDA"
      'J' = "J:JAMKESSOS"
      'K' = "K:JAMPERSAL"
      'L' = "L:JKN"
   ;
   value AK07_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value AK08MTH_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value AK08X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value AK08YR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value $AK2TYPE_
      'A' = "A:Health insurance (ASKES)"
      'B' = "B:Labor Force insurance (ASTEK)"
      'C' = "C:Medical Expenditure Reimbursement"
      'D' = "D:Employer provided clinic"
      'E' = "E:Private health insurance"
      'G' = "G:Savings-related insurance"
      'H' = "H:JAMKESMAS"
      'I' = "I:JAMKESDA"
      'J' = "J:JAMKESSOS"
      'K' = "K:JAMPERSAL"
      'L' = "L:JKN"
   ;
   value BA310X1A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA310X1B_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA310X1C_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA310X2A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA310X2B_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA310X2C_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA318_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value BA06DMT_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value $BA06E_
      'A' = "A:Heart attack"
      'B' = "B:Heart problems"
      'C' = "C:Stroke"
      'D' = "D:Diabetes"
      'E' = "E:Cancer"
      'F' = "F:TBC"
      'G' = "G:Asthma"
      'H' = "H:Other respiratory illness"
      'I' = "I:Dengue"
      'J' = "J:Malaria"
      'K' = "K:Childbirth"
      'L' = "L:Kidney"
      'M' = "M:Other illness"
      'N' = "N:Accidents"
      'O' = "O:Violence"
      'P' = "P:Suicide"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value BA304_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value BA304AX_
      1 = "1:Live in the HH"
      3 = "3:Not live in the HH"
      9 = "9:Missing"
   ;
   value BA304X_
      1 = "1:Father"
      2 = "2:Mother"
   ;
   value BA305_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA306A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA306AA_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA306B_
      1 = "1:Did not see"
      2 = "2:At least once a year"
      3 = "3:At least once a mnth"
      4 = "4:At least once a week"
      5 = "5:Everyday"
      9 = "9:Missing"
   ;
   value BA306BB_
      1 = "1:Did not see"
      2 = "2:At least once a year"
      3 = "3:At least once a mnth"
      4 = "4:At least once a week"
      5 = "5:Everyday"
      9 = "9:Missing"
   ;
   value BA306BC_
      1 = "1:Did not see"
      2 = "2:At least once a year"
      3 = "3:At least once a mnth"
      4 = "4:At least once a week"
      5 = "5:Everyday"
      9 = "9:Missing"
   ;
   value BA306C_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA306DX_
      1 = "1:Enter date of death"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA307A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA307X_
      1 = "1:Age at death in yrs"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA308_
      2 = "2:Elementary"
      3 = "3:Jr high general"
      4 = "4:Jr high vocational"
      5 = "5:Sr high general"
      6 = "6:Sr high vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      13 = "13:Open University"
      14 = "14:Islamic School (Pondok Pesantren)"
      15 = "15:Adult Education C"
      17 = "17:School for the disabled"
      60 = "60:College (D1,D2,D3)"
      61 = "61:University S1"
      62 = "62:University S2"
      63 = "63:University S3"
      72 = "72:Madrasah Ibtidaiyah"
      73 = "73:Madrasah Tsanawiyah"
      74 = "74:Madrasah Aliyah"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA309_
      0 = "0:Did not finish 1st"
      7 = "7:Graduated"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA311_
      1 = "1:Working/earning income"
      2 = "2:Job searching"
      3 = "3:Attending school"
      4 = "4:Housekeeping"
      5 = "5:Retired"
      6 = "6:Stay at home"
      7 = "7:Sick"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA312_
      1 = "1:Self-employed"
      2 = "2:Self employed with  unpaid family/temporary worker"
      3 = "3:Self-employed with employees/permanent workers"
      4 = "4:Government worker"
      5 = "5:Private worker"
      6 = "6:Unpaid family worker"
      7 = "7:Casual worker in agriculture"
      8 = "8:Casual worker not in agriculture"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value BA314A_
      1 = "1:Very healthy"
      2 = "2:Somewhat healthy"
      3 = "3:Somewhat unhealthy"
      4 = "4:Very unhealthy"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA314B_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA319_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA319X_
      1 = "1:Father and Mother live together in household"
      2 = "2:Father"
      3 = "3:Mother"
   ;
   value $BA320_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value BA320G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA320H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA321_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $BA322_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping famili business"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value BA322G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA322H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA314C_
      0 = "0:In this household"
      1 = "1:In the same village"
      2 = "2:In the same subdistrict"
      3 = "3:In the same district"
      4 = "4:In the same province"
      5 = "5:In another province"
      6 = "6:In another country"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value $BA315_
      'A' = "A:Alone"
      'B' = "B:Spouse"
      'C' = "C:Daughter"
      'D' = "D:Son"
      'E' = "E:Daughtr/son in-law"
      'F' = "F:Sister"
      'G' = "G:Brother"
      'I' = "I:Brother/Sister-in-law"
      'J' = "J:Grandchild"
      'K' = "K:Grandparent"
      'L' = "L:Aunt/Uncle"
      'M' = "M:Niece/Nephew"
      'N' = "N:Cousin"
      'O' = "O:Not family"
      'R' = "R:Parents"
      'S' = "S:Parents in law"
      'T' = "T:Step/foster/adopted kid"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value $BA323AX_
      'A' = "A:Father"
      'B' = "B:Mother"
   ;
   value BA300B_
      1 = "1:There is a Preprinted Child Roster"
      3 = "3:There is no Preprinted Child Roster (New Respondent)"
   ;
   value BA328_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA329X_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA354_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know =>BA56"
      9 = "9:Missing"
   ;
   value $BA355_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value BA355G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA355H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA356_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $BA357_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value BA357G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA357H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA358A_
      1 = "1:No child roster"
      3 = "3:Child roster for Book 3"
      5 = "5:Child roster for Book 4"
   ;
   value BA358B_
      1 = "1:Male respondent"
      2 = "2:Female respondent and answer Book IV"
      3 = "3:Female respondent and not answer Book IV"
   ;
   value BA358X_
      1 = "1:Panel"
      3 = "3:New"
   ;
   value BA359_
      1 = "1:Yes"
      3 = "3:No"
      5 = "5:Not yet married"
      9 = "9:Missing"
   ;
   value BA360A_
      1 = "1:MARRIED ONLY ONCE"
      3 = "3:MARRIED MORE THAN ONCE"
   ;
   value BA361_
      1 = "1:Yes"
      3 = "3:No"
      5 = "5:Not yet married"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA362_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA362A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA390X_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value BA363CX_
      1 = "1:Biological"
      2 = "2:Step"
      3 = "3:Adopted"
      6 = "6:Duplicate"
      7 = "7:Not Child"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA364_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value BA364BMT_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value BA364BMX_
      1 = "1:Preprinted"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA364C_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value BA365_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA365AMT_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value BA365AMX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA366A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value BA366X_
      1 = "1:Enter age in years"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA367_
      1 = "1:Unmarried"
      2 = "2:Married"
      3 = "3:Separated"
      4 = "4:Divorced"
      5 = "5:Widow/widower"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA368_
      1 = "1:Unschooled"
      2 = "2:Elementary"
      3 = "3:Jr high general"
      4 = "4:Jr high vocational"
      5 = "5:Sr high general"
      6 = "6:Sr high vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      13 = "13:Open University"
      14 = "14:Islamic School (Pondok Pesantren)"
      15 = "15:Adult Education C"
      17 = "17:School for the disabled"
      60 = "60:College (D1,D2,D3)"
      61 = "61:University S1"
      62 = "62:University S2"
      63 = "63:University S3"
      72 = "72:Madrasah Ibtidaiyah"
      73 = "73:Madrasah Tsanawiyah"
      74 = "74:Madrasah Aliyah"
      90 = "90:Kindergarten"
      95 = "95:Don't know"
      98 = "98:Other"
      99 = "99:Missing"
   ;
   value BA369_
      0 = "0:Did not finish 1st"
      7 = "7:Graduated"
      96 = "96:Not applicable"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA370_
      0 = "0:In this household"
      1 = "1:In the same village"
      2 = "2:In the same subdistrict"
      3 = "3:In the same district"
      4 = "4:In the same province"
      10 = "10:Sumatra"
      11 = "11:Aceh"
      12 = "12:North Sumatra"
      13 = "13:West Sumatra"
      14 = "14:Riau"
      15 = "15:Jambi"
      16 = "16:South Sumatra"
      17 = "17:Bengkulu"
      18 = "18:Lampung"
      19 = "19:Bangka Belitung"
      20 = "20:Kepulauan Riau"
      30 = "30:Java"
      31 = "31:Jakarta"
      32 = "32:West Java"
      33 = "33:Central Java"
      34 = "34:D.I. Yogyakarta"
      35 = "35:East Java"
      36 = "36:Banten"
      51 = "51:Bali"
      52 = "52:West Nusa Tenggara"
      53 = "53:East Nusa Tenggara"
      60 = "60:Kalimantan"
      61 = "61:West Kalimantan"
      62 = "62:Central Kalimantan"
      63 = "63:South Kalimantan"
      64 = "64:East Kalimantan"
      65 = "65:Nort Kalimantan"
      70 = "70:Sulawesi"
      71 = "71:North Sulawesi"
      72 = "72:Central Sulawesi"
      73 = "73:South Sulawesi"
      74 = "74:South East Sulawesi"
      75 = "75:Gorontalo"
      76 = "76:West Sulawesi"
      81 = "81:Maluku"
      82 = "82:Maluku Utara"
      90 = "90:Irian"
      91 = "91:Irian Jaya Barat"
      94 = "94:Papua"
      101 = "101:Malaysia"
      102 = "102:Singapore"
      103 = "103:Brunei Darussalam"
      104 = "104:Hongkong"
      105 = "105:Japan"
      106 = "106:South Korea"
      107 = "107:Taiwan"
      108 = "108:Timor Leste"
      121 = "121:Yemen"
      122 = "122:Saudi Arabia"
      123 = "123:Kuwait"
      124 = "124:UAE"
      131 = "131:Argentina"
      132 = "132:USA"
      141 = "141:Australia"
      151 = "151:Holland"
      152 = "152:UK"
      995 = "995:Don't know"
      998 = "998:Others"
      999 = "999:Missing"
   ;
   value BA378_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA379_
      1 = "1:Father and mother"
      2 = "2:Father"
      3 = "3:Mother"
      4 = "4:Not with parents"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA380_
      1 = "1:Working/trying to get work/helping to earn income"
      2 = "2:Job searching"
      3 = "3:Attending school"
      4 = "4:Housekeeping"
      5 = "5:Retired"
      6 = "6:Stay at home/ unemployment."
      7 = "7:Sick"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA381_
      1 = "1:Self-employed"
      2 = "2:Self employed with  unpaid family/temporary worker"
      3 = "3:Self-employed with employees/permanent workers"
      4 = "4:Government worker"
      5 = "5:Private worker"
      6 = "6:Unpaid family worker"
      7 = "7:Casual worker in agriculture"
      8 = "8:Casual worker not in agriculture"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BA383A_
      1 = "1:Still alive"
      3 = "3:Died in the last 12 month"
      5 = "5:Died more then 12 month"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA384_
      1 = "1:Never"
      2 = "2:At least once a year"
      3 = "3:At least once a mnth"
      4 = "4:At least once a week"
      5 = "5:Every day"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA384A_
      1 = "1:Never"
      2 = "2:At least once a year"
      3 = "3:At least once a month"
      4 = "4:At least once a week"
      5 = "5:Every day"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA384B_
      1 = "1:Never"
      2 = "2:At least once a year"
      3 = "3:At least once a mnth"
      4 = "4:At least once a week"
      5 = "5:Every day"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BA387A_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $BA388_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value BA388G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA388H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA389A_
      1 = "1:Yes"
      3 = "3:No"
      7 = "7:Unwilling to answer"
      8 = "8:Missing"
      9 = "9:Missing"
   ;
   value $BA390_
      'A' = "A:Money"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value BA390G2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value BA390H2_
      3 = "3:Days"
      5 = "5:Months"
      99 = "99:Missing"
   ;
   value CD113B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CD123B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CD133B_
      1 = "1:Walking cane"
      2 = "2:Walker"
      3 = "3:Manual wheelchair"
      4 = "4:Electric wheelchair"
      6 = "6:DO NOT USE WALKING AID"
      9 = "9:Missing"
   ;
   value CD013B_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $CD013BX_
      'A' = "A:Physically handicapped"
      'B' = "B:Brain damage"
      'C' = "C:Vision problem"
      'D' = "D:Hearing problem"
      'E' = "E:Speech impediment"
      'F' = "F:Kidney trouble"
      'I' = "I:Autism"
   ;
   value CD023B_
      1 = "1:Doctor"
      2 = "2:Paramedic"
      3 = "3:Nurse"
      4 = "4:midwife"
      9 = "9:Missing"
   ;
   value CD02AMTH3B_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value CD02AX3B_
      1 = "1:Month / Year"
      2 = "2:Age"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CD02AYR3B_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value CD033B_
      1 = "1:Yes, very much so"
      2 = "2:Yes, some degree"
      3 = "3:No, not much"
      4 = "4:No, not at all"
   ;
   value CD053B_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $CD063B_
      'A' = "A:Brain"
      'B' = "B:Mouth cavity"
      'C' = "C:Throat"
      'D' = "D:Red lane"
      'E' = "E:Thyroid"
      'F' = "F:Lung"
      'G' = "G:Breast"
      'H' = "H:Osefagus"
      'I' = "I:Stomach"
      'J' = "J:Liver"
      'K' = "K:Pancreas"
      'L' = "L:Kidney"
      'M' = "M:Prostate"
      'N' = "N:Testis"
      'O' = "O:Overy"
      'P' = "P:Cervix"
      'Q' = "Q:Endometrium"
      'R' = "R:Rectum"
      'S' = "S:Bladder"
      'T' = "T:Skin"
      'U' = "U:Non Hodgkin lymphoma"
      'V' = "V:Other"
      'X' = "X:Leukemia"
      'Z' = "Z:Missing"
   ;
   value CD073BM_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value CD073BX_
      1 = "1:Given date"
      2 = "2:Age"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CD083B_
      1 = "1:Doctor"
      2 = "2:Paramedic"
      3 = "3:Nurse"
      4 = "4:midwife"
      9 = "9:Missing"
   ;
   value CD093B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $CD09A3B_
      'A' = "A:Traditional medicine"
      'B' = "B:Modern medicine"
      'C' = "C:Insulin injection"
      'D' = "D:Chemotherapy"
      'E' = "E:Surgery"
      'F' = "F:Radiation therapy"
      'G' = "G:Physical therapy"
      'H' = "H:Occupational therapy"
      'V' = "V:Other treatment"
      'W' = "W:No treatment"
      'Z' = "Z:Missing"
   ;
   value $CD09C3B_
      'A' = "A:Weight control"
      'B' = "B:Exercise"
      'C' = "C:Diet"
      'D' = "D:Smoking control"
      'E' = "E:Foot self care (CAPI: ONLY FOR CDTYPE B)"
      'W' = "W:None of the above"
      'Y' = "Y:Don't Know"
      'Z' = "Z:MISSING"
   ;
   value CD103B_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      4 = "4:No"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $CD3BTYPE_
      'A' = "A:Hypertension"
      'B' = "B:Diabetes or high blood sugar"
      'C' = "C:Tuberculosis (TBC)"
      'D' = "D:Asthma"
      'E' = "E:Other lung conditions"
      'F' = "F:Other lung conditions"
      'G' = "G:heart attack"
      'H' = "H:Stroke"
      'I' = "I:Cancer or malignant tumor"
      'J' = "J:Arthritis/rheumatism"
      'M' = "M:High Cholestero (Total or LDL)l"
      'N' = "N:Prostate illness"
      'O' = "O:Kidney disease (except for tumor or cancer)"
      'P' = "P:Stomach or other digestive disease"
      'Q' = "Q:Emotional, nervous, or psychiatric problems"
      'R' = "R:Memory-related disease"
   ;
   value CO01D1_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value CO01D2_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value CO01M1_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value CO01X_
      1 = "1:Gregorian calenddar"
      2 = "2:Islamic calendar"
      3 = "3:Local calendar"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO01Y1_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value CO01Y2_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value CO02_
      1 = "1:All three of day/month/year were answered correctly"
      2 = "2:Two of day/month/year were answered correctly"
      3 = "3:One of day/month/year was answered correctly"
      5 = "5:None of day/month/year were answered correctly"
      6 = "6:CO01 = 8"
      9 = "9:Missing"
   ;
   value CO02D1_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value CO02D2_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value CO02M1_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
   ;
   value CO02X_
      1 = "1:Gregorian calenddar"
      2 = "2:Islamic calendar"
      3 = "3:Local calendar"
      9 = "9:Missing"
   ;
   value CO03_
      1 = "1:Sunday"
      2 = "2:Monday"
      3 = "3:Tuesday"
      4 = "4:Wenesday"
      5 = "5:Thursday"
      6 = "6:Friday"
      7 = "7:Saturday"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO03_B_
      1 = "1:Sunday"
      2 = "2:Monday"
      3 = "3:Tuesday"
      4 = "4:Wednesday"
      5 = "5:Thursday"
      6 = "6:Friday"
      7 = "7:Saturday"
   ;
   value CO04_
      1 = "1:Day mentioned in CO03 is correct"
      3 = "3:Day mentioned in CO03 is incorrect"
      6 = "6:CO03 = 8"
      9 = "9:Missing"
   ;
   value CO04AA_
      1 = "1:Excellent"
      2 = "2:Very good"
      3 = "3:Good"
      4 = "4:Fair"
      5 = "5:Poor"
      9 = "9:Missing"
   ;
   value CO04AX_
      1 = "1:Answer given"
      7 = "7:Refused"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO04BX_
      1 = "1:Answer given"
      7 = "7:Refused"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO04CX_
      1 = "1:Answer given"
      7 = "7:Refused"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO04DX_
      1 = "1:Answer given"
      7 = "7:Refused"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO04EX_
      1 = "1:Answer given"
      7 = "7:Refused"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value CO05_
      1 = "1:Willing to participate"
      7 = "7:Refuse to participate"
      9 = "9:Missing"
   ;
   value CO06_
      1 = "1:List A"
      2 = "2:List B"
      3 = "3:List C"
      4 = "4:List D"
   ;
   value $CO07_
      'W' = "W:None"
      'X' = "X:Refused"
   ;
   value $CO10_
      'W' = "W:NONE RECALLED"
      'X' = "X:refuse to recall"
   ;
   value COB16_
      1 = "1:<50 years"
      3 = "3:>=50 years"
   ;
   value COB17B_
      1 = "1:TRUE"
      3 = "3:FALSE"
   ;
   value COB17C_
      0 = "0:Indonesia"
      1 = "1:Jawa"
      2 = "2:Sunda"
      3 = "3:Bali"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Cina"
      7 = "7:Madura"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makassar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
   ;
   value COB17D_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value COB18B_
      0 = "0:Indonesia"
      1 = "1:Jawa"
      2 = "2:Sunda"
      3 = "3:Bali"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Cina"
      7 = "7:Madura"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makassar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
   ;
   value COB18C_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value COB19A_
      1 = "1:Photo taken"
      3 = "3:No Photo"
      9 = "9:MISSING"
   ;
   value COB19B_
      1 = "1:YES"
      3 = "3:NO"
      6 = "6:Blind/trouble seeiing"
   ;
   value C13B_
      1 = "1:Completed"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C23B_
      1 = "1:Respondent was not at home/not available"
      2 = "2:Respondent was seriously ill"
      3 = "3:Respondent refused (to be interviewed)"
      5 = "5:Other"
   ;
   value C4A3B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4B3B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4C3B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CK13B_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:TIDAK ADA"
      99 = "99:Missing"
   ;
   value CK23B_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:TIDAK ADA"
      99 = "99:Missing"
   ;
   value COV003B_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value COV103B_
      1 = "1:List A"
      2 = "2:List B"
      3 = "3:List C"
      4 = "4:List D"
   ;
   value COV123B_
      1 = "1:Spouse"
      2 = "2:Child"
      4 = "4:Parent"
      5 = "5:Brother/sister"
      6 = "6:Son in law"
      95 = "95:Others"
   ;
   value COV133B_
      1 = "1:Too old"
      2 = "2:Deaf/mute"
      3 = "3:Severely ill"
      4 = "4:Responden not found/not at home/away"
      5 = "5:Mental disability"
      6 = "6:Others"
   ;
   value COV13B_
      1 = "1:Head of household"
      2 = "2:Spouse of head"
      3 = "3:Other HH member"
   ;
   value COV23B_
      1 = "1:Panel"
      3 = "3:New"
   ;
   value COV43B_
      1 = "1:Unmarried"
      2 = "2:Married"
      3 = "3:Separated"
      4 = "4:Divorced"
      5 = "5:Widow"
      6 = "6:Cohabitate"
      9 = "9:Missing"
   ;
   value COV53B_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value COV6D3B_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value COV6M3B_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value COV6Y3B_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value COV93B_
      1 = "1:List A"
      2 = "2:List B"
      3 = "3:List C"
      4 = "4:List D"
   ;
   value PID_PROXY3B_
      96 = "96:Proxy not a HHM"
   ;
   value PROXY3B_
      1 = "1:Book Proxy"
      3 = "3:Not Book Proxy"
   ;
   value $CP3B1_
      'A' = "A:No one"
      'B' = "B:Children 5 or under"
      'C' = "C:Children older than 5"
      'D' = "D:Husband/wife"
      'E' = "E:An Adult"
      'F' = "F:An Adult"
      'Z' = "Z:Missing"
   ;
   value CP3B2_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
   ;
   value CP3B3_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
   ;
   value B3B_MOVER_
      0 = "0:CANCEL"
      1 = "1:Cover book 3B"
      2 = "2:Section KM"
      3 = "3:Section KK"
      4 = "4:Section KK"
      5 = "5:INTRO_KK3"
      6 = "6:KK04A"
      7 = "7:B3B_CD2_GROUP"
      8 = "8:B3B_CD3_GROUP"
      9 = "9:B3B_KP_GROUP"
      10 = "10:B3B_PNA_GROUP"
      11 = "11:CO01X"
      12 = "12:CO05"
      13 = "13:B3B_MA2_GROUP"
      14 = "14:MA09A1"
      15 = "15:MA09B"
      16 = "16:CO09H"
      17 = "17:BEGHR_COB"
      18 = "18:EH01"
      19 = "19:SA01"
      20 = "20:AK01"
      21 = "21:AK06"
      22 = "22:B3B_PS1_GROUP"
      23 = "23:RJ04A"
      24 = "24:RJ00A"
      25 = "25:RJ05AX"
      26 = "26:FM01"
      27 = "27:RN00"
      28 = "28:RN05AX"
      29 = "29:PM01"
      30 = "30:B3B_PM3_GROUP"
      31 = "31:PM20"
      32 = "32:PM24A"
      33 = "33:B3B_BA31_GROUP"
      34 = "34:BA310X1A"
      35 = "35:B3B_BA32_GROUP"
      36 = "36:B3B_BA33_GROUP"
      37 = "37:BA328"
      38 = "38:BA300B"
      39 = "39:TF01A"
      40 = "40:EP301"
      41 = "41:CK13B"
   ;
   value INTRO_AK_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_AK02_
      'A' = "A:Health Insurance (PT ASKES)"
      'B' = "B:Labor (Social) Insurance (ASTEK Jamsostek)"
      'C' = "C:Employer provided health insurance/benefits"
      'D' = "D:Employer Provided Clinic"
      'E' = "E:Private Insurance"
      'G' = "G:Savings-related insurance"
      'H' = "H:JAMKESMAS"
      'I' = "I:JAMKESDA"
      'J' = "J:JAMKESSOS"
      'K' = "K:ASKES SOSIAL"
      'L' = "L:JAMPERSAL"
      'M' = "M:JKN"
   ;
   value $INTRO_AK07_
      'A' = "A:Health Insurance (PT ASKES)"
      'B' = "B:Labor (Social) Insurance (ASTEK Jamsostek)"
      'C' = "C:Employer provided health insurance/benefits"
      'D' = "D:Employer Provided Clinic"
      'E' = "E:Private Insurance"
      'G' = "G:Savings-related insurance"
      'H' = "H:JAMKESMAS"
      'I' = "I:JAMKESDA"
      'J' = "J:JAMKESSOS"
      'K' = "K:ASKES SOSIAL"
      'L' = "L:JAMPERSAL"
      'M' = "M:JKN"
   ;
   value INTRO_BA1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_BA2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_CD01_
      'A' = "A:Physical disabilities"
      'B' = "B:Brain damage"
      'C' = "C:Vision problem"
      'D' = "D:Hearing problem"
      'E' = "E:Speech impediment"
      'F' = "F:Mental retardation"
      'I' = "I:Autism"
      'W' = "W:Non diagnosa"
   ;
   value $INTRO_CD07_
      'A' = "A:Hypertension"
      'B' = "B:Diabetes or high blood sugar"
      'C' = "C:Tuberculosis (TBC)"
      'D' = "D:Asthma"
      'E' = "E:Other lung conditions"
      'F' = "F:Heart attack"
      'G' = "G:Liver"
      'H' = "H:Stroke"
      'I' = "I:Cancer or malignant tumor"
      'J' = "J:Arthritis/rheumatism"
      'L' = "L:Depresi"
      'M' = "M:High Cholestero (Total or LDL)l"
      'N' = "N:Prostate illness"
      'O' = "O:Kidney disease (except for tumor or cancer)"
      'P' = "P:Stomach or other digestive disease"
      'Q' = "Q:Emotional, nervous, or psychiatric problems"
      'R' = "R:Memory-related disease"
      'W' = "W:None"
   ;
   value INTRO_CD1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CD2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO3_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO4_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO5_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO6_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_CO7_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO8_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CO9_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB18_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB3_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB4_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB5_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_COB6_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB7_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_COB8_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_CP_
      1 = "1:Next Interview"
   ;
   value INTRO_EH_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_EP_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_FM_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_FM02_
      'A' = "A:Sweet potatoes"
      'B' = "B:Eggs"
      'C' = "C:Fish"
      'D' = "D:Meat (beef, chicken, pork, etc.)"
      'E' = "E:Dairy"
      'F' = "F:Green leafy vegetables"
      'G' = "G:Banana"
      'H' = "H:Papaya"
      'I' = "I:Carrot"
      'J' = "J:Mango"
      'K' = "K:Instant noodle"
      'L' = "L:Fast food"
      'M' = "M:Soft drink (Coca cola, sprite , dll)"
      'N' = "N:Sambal"
      'O' = "O:Fried snacks (tempe, tahu, bakwan dll)"
      'P' = "P:Rice"
      'Q' = "Q:Sweet snacks  (wajik, geplak, donuts, wafers, chocolate, dll)"
      'W' = "W:None"
   ;
   value INTRO_KK1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KK2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KK3_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KK4_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KK5_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KM_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_KP_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_MA1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_MA5_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_PM1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_PM2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_PM26_
      'A' = "A:Appearance"
      'B' = "B:Popularity"
      'C' = "C:Quality of the  program"
      'D' = "D:Political affiliation"
      'E' = "E:Faith/relegion"
      'F' = "F:Ethnicity"
      'G' = "G:Experience in governance"
      'H' = "H:Gender r"
      'I' = "I:Gifts ("
      'J' = "J:Age"
      'W' = "W:None factor"
   ;
   value INTRO_PM3_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_PM4_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_PS_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value $INTRO_PS01_
      'A' = "A:Consumed over-the-counter modern medicines (like bodrexin, inzana, paramex)"
      'B' = "B:Consumed  traditional herbs or traditional medicines as treatment"
      'C' = "C:Used topical medicines (like eyedrops, cream, medical plaster, ointment and the like)"
      'E' = "E:Vitamin/Supplements"
      'F' = "F:Massage, coining"
      'W' = "W:None"
   ;
   value INTRO_PSN_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_RJ01_
      'A' = "A:Public hospital (General or Specialty)"
      'B' = "B:Public Health Center (puskesmas)/Auxiliary Center (puskesmas pembantu)"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic, Private Clinic, Medical Center"
      'G' = "G:Private Physician (General Practitioner, Specialist, Dentist, Family Doctor)"
      'H' = "H:Nurse, Paramedic, Midwife practitioner"
      'I' = "I:Traditional practitioner (shaman, wiseman, kyai, Chinese herbalist, masseur, acupuncturist, etc.)"
   ;
   value INTRO_RJ1_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_RJ2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_RJ3_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_RJ4_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_RJ5_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value $INTRO_RN01_
      'A' = "A:Public Hospital (General or Specialty)"
      'B' = "B:Public Health Center (puskesmas)"
      'C' = "C:Private Hospital"
      'D' = "D:Private Clinic"
      'V' = "V:Others"
   ;
   value INTRO_RN1_
      1 = "1:Next Interviewer"
      9 = "9:Interviewer not Completed"
   ;
   value INTRO_RN2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_SA_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_TDR_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_TF1_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value INTRO_TF2_
      1 = "1:Next Interview"
      9 = "9:Interview not Completed"
   ;
   value EH01_
      1 = "1:Excellent"
      2 = "2:Very good"
      3 = "3:Good"
      4 = "4:Fair"
      5 = "5:Poor"
      9 = "9:Missing"
   ;
   value EH02_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      9 = "9:Missing"
   ;
   value EH03_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EH04_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $EH05_
      'A' = "A:Infectious disease (e.g. measles, rubella, chicken pox, mumps, tubercolosis, diphtheria, scarlet fever)"
      'B' = "B:Polio"
      'C' = "C:Asthma"
      'D' = "D:Respiratory problems other than asthma"
      'E' = "E:Allergies (other than asthma)"
      'F' = "F:Severe diarrhoea"
      'G' = "G:Epilepsy, fits or seizures"
      'H' = "H:Emotional, nervous, or psychiatric problem"
      'J' = "J:Childhood diabetes or high blood sugar"
      'K' = "K:Heart trouble"
      'L' = "L:Leukaemia or lymphoma"
      'M' = "M:Cancer or malignant tumour (excluding minor skin cancers)"
      'V' = "V:Other serious diseases/illnesses"
      'W' = "W:NONE OF THESE"
      'Z' = "Z:Missing"
   ;
   value EH06_
      1 = "1:When I was between 0-5 years old."
      2 = "2:When I was between 6-10 years old."
      3 = "3:When I was between 11-15 years old."
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value EH07_
      1 = "1:When I  was between 0-5 years old."
      2 = "2:When I  was between 6-10 years old."
      3 = "3:When I  was between 11-15 years old."
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value EH08_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EH09_
      1 = "1:When I  was between 0-5 years old."
      2 = "2:When I  was between 6-10 years old."
      3 = "3:When I  was between 11-15 years old."
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value EP301_
      1 = "1:Male respondent"
      2 = "2:Female respondent and not answer Book IV"
      3 = "3:Female respondent and answer Book IV"
   ;
   value EP301A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value EP301X_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value EP319X_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EP307_
      96 = "96:NA"
      99 = "99:Not in BA section"
   ;
   value EP309_
      96 = "96:Not applicable"
      99 = "99:Not in HH roster"
   ;
   value EP309X_
      1 = "1:Biological"
      2 = "2:Step"
      3 = "3:Adopted"
      6 = "6:Duplicate"
      7 = "7:Is there any child (biological or non-biological) aged 7-24 that is not listed?"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EP310_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value EP312_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EP313_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EP314_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EP315_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EP316_
      1 = "1:Unschooled"
      2 = "2:Elementary"
      3 = "3:Jr high general"
      4 = "4:Jr high vocational"
      5 = "5:Sr high general"
      6 = "6:Sr high vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      13 = "13:Open University"
      14 = "14:Islamic School (Pondok Pesantren)"
      15 = "15:Adult Education C"
      17 = "17:School for the disabled"
      60 = "60:College (D1,D2,D3)"
      61 = "61:University S1"
      62 = "62:University S2"
      63 = "63:University S3"
      72 = "72:Madrasah Ibtidaiyah"
      73 = "73:Madrasah Tsanawiyah"
      74 = "74:Madrasah Aliyah"
      90 = "90:Kindergarten"
      95 = "95:Don't know"
      98 = "98:Other"
      99 = "99:Missing"
   ;
   value EP317_
      0 = "0:Did not finish 1st"
      7 = "7:Graduated"
      96 = "96:Not applicable"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EP318_
      1 = "1:Much better"
      2 = "2:Better"
      3 = "3:Same"
      4 = "4:Worst"
      5 = "5:Much worst"
      9 = "9:Missing"
   ;
   value EP319_
      1 = "1:Much better"
      2 = "2:Better"
      3 = "3:Same"
      4 = "4:Worst"
      5 = "5:Much worst"
      9 = "9:Missing"
   ;
   value FM01_
      1 = "3 times a day"
      2 = "2 times a day"
      3 = "1 time a day"
      4 = "5-6 times per week"
      5 = "3-4 times per week"
      6 = "2 times per week"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value FM02_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value FM03_
      9 = "9:Missing"
   ;
   value $FMTYPE_
      'A' = "A:Sweet potatoes"
      'B' = "B:Eggs"
      'C' = "C:Fish"
      'D' = "D:Meat or chicken"
      'E' = "E:Dairy"
      'F' = "F:Vegetables"
      'G' = "G:Banana"
      'H' = "H:Pepaya"
      'I' = "I:Carrot"
      'J' = "J:Manggoes"
      'K' = "K:Instant noodle"
      'L' = "L:Fast food"
      'M' = "M:Soft drink (Coca cola, sprite , dll)"
      'N' = "N:Sambal"
      'O' = "O:Fried snacks (tempe, tahu, bakwan dll)"
      'P' = "P:Rice"
      'Q' = "Q:Sweet snacks  (wajik, geplak, donuts, wafers, chocolate, dll)"
   ;
   value KK01_
      1 = "1:Very healthy"
      2 = "2:Somewhat healthy"
      3 = "3:Somewhat unhealthy"
      4 = "4:Very unhealthy"
      9 = "9:MISSING"
   ;
   value KK02A_
      99 = "99:Missing"
   ;
   value KK02AX_
      1 = "1:Days given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KK02B_
      99 = "99:Missing"
   ;
   value KK02BX_
      1 = "1:Days lying down"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KK02C_
      1 = "1:Much better now"
      2 = "2:Somewhat better now"
      3 = "3:About the same"
      4 = "4:Somewhat worse"
      5 = "5:Much worse"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value KK02I_
      1 = "1:Much better now"
      2 = "2:Somewhat better now"
      3 = "3:About the same"
      4 = "4:Somewhat worse"
      5 = "5:Much worse"
      9 = "9:MISSING"
   ;
   value KK02K_
      1 = "1:Very healthy"
      2 = "2:Somewhat healthy"
      3 = "3:Somewhat unhealthy"
      4 = "4:Very unhealthy"
      9 = "9:MISSING"
   ;
   value KK02L_
      1 = "1:Very likely"
      2 = "2:Likely"
      3 = "3:Unlikely"
      4 = "4:Very unlikely"
      9 = "9:Missing"
   ;
   value KK02M_
      1 = "1:Yes"
      3 = "3:Never"
      9 = "9:Missing"
   ;
   value KK02N1_
      1 = "1:< 2 hours"
      2 = "2:>= 2 hours"
   ;
   value KK02N2_
      11 = "11:< 30 minutes"
      12 = "12:>= 30 minutes"
      21 = "21:< 4 hours"
      22 = "22:>= 4 hours"
   ;
   value KK02O_
      9 = "9:Missing"
   ;
   value $KKTYPE_
      'A' = "A:Vigorous activities"
      'B' = "B:Moderate physical effort"
      'C' = "C:Walking"
   ;
   value KK03_
      1 = "1:Easily"
      3 = "3:With difficulties"
      4 = "4:Can do with help"
      5 = "5:Unable to do it"
      9 = "9:Missing"
   ;
   value $KK3TYPE_
      'A'  = "A:To carry a heavy load (like a pail of water) for 20 meters"
      'B'  = "B:To sweep the house floor yard"
      'C'  = "C:To walk for 5 kilometers"
      'D'  = "D:To draw a pail of water from a well"
      'E'  = "E:To bow"
      'EA' = "EA:To reach or extend your arms above shoulder level"
      'EB' = "EB:To pick up a small coin from a table"
      'F'  = "F:To dress without help"
      'G'  = "G:To stand up from sitting position in a chair without help"
      'H'  = "H:To go to the bathroom (BM) without help"
      'I'  = "I:To stand up from sitting on the floor without help"
      'J'  = "J:To walk for 1 kilometers"
      'K'  = "K:To get out of bed"
      'KA' = "KA:To eat  (eating food by oneself when it is ready)"
      'KB' = "KB:Use the toilet on their own without the help"
      'KC' = "KC:control urination and defecation"
      'L'  = "L:To walk across the room"
      'M'  = "M:To bathe"
      'N'  = "N:To shop for personal needs"
      'O'  = "O:To prepare meal for yourself"
      'P'  = "P:To take medicine"
      'PA' = "PA:To do household chores ( house cleaning, doing dishes, making the bed, and arranging the house)"
      'PB' = "PB:To shop for groceries (deciding what to buy and pay for it)"
      'PC' = "PC:To manage your money  (paying your bills, keeping track of expenses, or managing assets)"
   ;
   value KK04A_
      1 = "1:IF ALL OF KK03f-KK03pc = 1 ad age>=40 th, skip KK04j"
      2 = "2:IF ALL OF KK03f-KK03pc = 1 ad age < 40 th, skip section CD"
      3 = "3:IF ANY OF KK03f - KK03PC=3"
   ;
   value KK04B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KK04C2_
      51 = "51:Not in HH Roster"
   ;
   value KK04D_
      2 = "2:Spouse"
      3 = "3:Child (biological)"
      4 = "4:Child (adopted)"
      5 = "5:Son/daughter in law"
      6 = "6:Parent"
      7 = "7:Father/mother in law"
      8 = "8:Sibling"
      9 = "9:Brotherssister in law"
      10 = "10:Grandchild"
      11 = "11:Grandparent"
      12 = "12:Uncle/aunt"
      13 = "13:Nephew/Niece"
      14 = "14:Cousin"
      15 = "15:Servants"
      16 = "16:Other relative"
      17 = "17:Other non relative"
      99 = "99:During the last 4 weeks, about how many days did  [...] help you? (able to answer)"
   ;
   value KK04E_
      99 = "99:MISSING"
   ;
   value KK04EX_
      1 = "1:Don't know"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KK04F_
      99 = "99:MISSING"
   ;
   value KK04FX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KK04G_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KK04H_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KK04IX_
      1 = "1:Given"
      6 = "6:Did not have to pay"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KK04J2_
      51 = "51:Not in HH Roster"
      96 = "96:Not Applicable"
   ;
   value KK04K_
      3 = "3:Child (biological)"
      4 = "4:Child (adopted)"
      5 = "5:Son/daughter in law"
      6 = "6:Parent"
      7 = "7:Father/mother in law"
      8 = "8:Sibling"
      9 = "9:Brotherssister in law"
      10 = "10:Grandchild"
      11 = "11:Grandparent"
      12 = "12:Uncle/aunt"
      13 = "13:Nephew/Niece"
      14 = "14:Cousin"
      15 = "15:Servants"
      16 = "16:Other relative"
      17 = "17:Other non relative"
      96 = "96:Not Applicable"
      99 = "99:Missing"
   ;
   value KK05_
      1 = "1:< 50 years"
      2 = "50 - 54 years"
      3 = "55 - 59 years"
      4 = "60 - 64 years"
      5 = "65 - 69 years"
      6 = "70 - 74 years"
      7 = "7:> 75 years"
   ;
   value KK05X_
      1 = "1:AGE >= 40 YEAR"
      3 = "3:AGE < 40 YEAR => SECTION CD"
   ;
   value KK06_
      9 = "9:Missing"
   ;
   value $KK1TYPE_
      'A' = "60 years"
      'B' = "65 years"
      'C' = "70 years"
      'D' = "75 years"
      'E' = "80 years"
      'F' = "85 years"
      'G' = "100 years"
   ;
   value KM01A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM01B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM01C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM01D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM01E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM02A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $KM03_
      'A' = "A:Filtered cigarette"
      'B' = "B:Unfiltered cigarette"
      'C' = "C:Filtered clove cigarette"
      'D' = "D:Unfiltered clove cigarette"
      'E' = "E:Cigar"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value KM04_
      1 = "1:Still have habit"
      3 = "3:Quit"
      9 = "9:Missing"
   ;
   value KM05AAX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM05B_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value KM06A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value KM06BX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM06X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM07_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value KM08A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM08BX_
      1 = "1:Sticks"
      3 = "3:Packs"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM08DX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM08E_
      1 = "1:Gudang Garam Merah"
      2 = "2:Gudang Garam Surya"
      3 = "3:Gudang Garam International"
      4 = "4:Sampoerna A Mild"
      5 = "5:Sampoerna Hijau"
      6 = "6:Djarum Super"
      7 = "7:Djarum 76 Kretek"
      8 = "8:Bentoel Filter"
      9 = "9:Bentoel Kretek tanpa filter"
      10 = "10:Ardath"
      11 = "11:Marlboro"
      12 = "12:Marlboro Kretek Filter"
      13 = "13:Lucky Strike"
      14 = "14:Kansas"
      15 = "15:Dji Sam Soe"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value KM08F_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM08X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM09X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM10X_
      1 = "1:Enter age"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM11_
      1 = "1:Within 5 minutes"
      2 = "2:Within 6-30 minutes"
      3 = "3:Within 31-60 minutes"
      4 = "4:More than 1 hour"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value KM12_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM13_
      1 = "1:First smoking/chewing tobacco g in the morning"
      2 = "2:Smoking/chewing tobacco in other time"
      9 = "9:Missing"
   ;
   value KM14_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KM15_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value KP02_
      1 = "1:Rarely or none (<= 1 day)"
      2 = "2:Some days (1-2 days)"
      3 = "3:Occasionally (3-4 days)"
      4 = "4:Most of the time (5-7 days)"
      9 = "9:MISSING"
   ;
   value $KPTYPE_
      'A' = "A:I was bothered by things that usually dont bother me"
      'B' = "B:I had trouble concentrating in what I was doing"
      'C' = "C:I felt depressed"
      'D' = "D:I felt everything I did was an effort"
      'E' = "E:I felt hopeful about the future"
      'F' = "F:I felt fearful"
      'G' = "G:My sleep was restless"
      'H' = "H:I was happy"
      'I' = "I:I felt lonely"
      'J' = "J:I could not get going"
   ;
   value MA07_
      1 = "1:Age Respondent >= 40 years"
      3 = "3:Age Respondent < 40 years"
   ;
   value MA08A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08F_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08G_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08H_
      1 = "1:Right"
      2 = "2:Left"
      3 = "3:Right and Left"
   ;
   value MA08I_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA08J_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MA15_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MA16M_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value MA16Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value MA17_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No"
      4 = "4:No"
      8 = "8:Don't know"
   ;
   value MA18_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MA20M_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value MA20X_
      1 = "1:Yes"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MA20Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value MA21_
      1 = "1:Yes, very much so"
      2 = "2:Yes, to some degree"
      3 = "3:No, not much"
      4 = "4:No, not at all"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value MA22_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value MA01_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $MATYPE_
      'A' = "A:Headache"
      'B' = "B:Runny nose"
      'C' = "C:Cough"
      'CA' = "CA:Dry cough"
      'CB' = "CB:Dry with phlegm"
      'CC' = "CC:Bloody cough"
      'D' = "D:Difficulty breathing"
      'DA' = "DA:Wheezing"
      'DB' = "DB:Short"
      'E' = "E:Fever"
      'F' = "F:Stomach ache"
      'H' = "H:Nausea/vomitting"
      'I' = "I:Diarrhea"
      'IA' = "IA:Mixed with blood"
      'IB' = "IB:Mixed with mucous"
      'IC' = "IC:Pale liquid"
      'K' = "K:Skin infection (boil"
      'L' = "L:Eye infection"
      'M' = "M:Toothache"
      'P' = "P:Swollen legs"
      'U' = "U:Cold sores"
   ;
   value PM01_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM01A_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value PM03X_
      3 = "3:Days"
      4 = "4:Weeks"
      5 = "5:Months"
      6 = "6:Years"
      99 = "99:Missing"
   ;
   value PM04X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM05CM_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value PM05CX_
      1 = "1:Date given"
      6 = "6:Have not received"
      9 = "9:Missing"
   ;
   value PM05CY_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value PM05DX_
      1 = "1:Rupiah given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM05X_
      4 = "4:Weeks"
      5 = "5:Months"
      6 = "6:Years"
      99 = "99:Missing"
   ;
   value PM1TYPE_
      1 = "1:Office"
      2 = "2:Sub-neighbourhood"
      3 = "3:Neighbourhood"
      4 = "4:Village"
      5 = "5:Wive's of Civil Servants/Army"
      6 = "6:Women's association"
      7 = "7:Market"
      8 = "8:Family group"
      9 = "9:Religious group"
      12 = "12:Friends"
      13 = "13:Retirees"
      14 = "14:Farmers group"
      15 = "15:Youth group"
      16 = "16:Motorcycle arisan"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value PM20_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value PM24A_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24B_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24C_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24D_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24E_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24F_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24G_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM24H_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not applicable"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM26A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26F_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26G_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26H_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26I_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM26J_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PM15_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value PM16_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $PM16_B_
      'A' = "A:Labour /Time"
      'B' = "B:Money"
      'C' = "C:Goods"
      'W' = "W:Not applicable"
      'Z' = "Z:Missing"
   ;
   value $PM3TYPE_
      'A' = "A:Community Meeting"
      'B' = "B:Cooperatives"
      'C' = "C:Voluntary Labor"
      'D' = "D:Program to Improve the Village/Neighborhood"
      'N' = "N:Youth Groups Activity"
      'O' = "O:Religious activity"
      'P' = "P:Village library"
      'Q' = "Q:Village saving and loan"
      'R' = "R:Healthy fund"
      'R1' = "R1:PNPM"
      'R2' = "R2:Political Party"
   ;
   value PS01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PS02X_
      1 = "1:Enter total cost"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $PSTYPE_
      'A' = "A:Consumed over the counter modern medicines"
      'B' = "B:Consumed traditional herbs or traditional medicines"
      'C' = "C:Used topical medicines (like eyedrops"
      'E' = "E:Vitamin"
      'F' = "F:Massage"
   ;
   value PSN01_
      1 = "1:Disagree strongly"
      2 = "2:Disagree a little"
      3 = "3:Neither agree nor disagree"
      4 = "4:Agree a little"
      5 = "5:Agree Strongly"
   ;
   value PSN_TYPE_
      1 = "1:Is talkative."
      2 = "2:Does a thorough job."
      3 = "3:Is original, comes up with new ideas."
      4 = "4:Is reserved."
      5 = "5:Is relaxed, handles stress well."
      6 = "6:Has a forgiving nature."
      7 = "7:Worries a lot."
      8 = "8:Has an active imagination."
      9 = "9:Tends to be lazy."
      10 = "10:Values artistic, aesthetic experiences."
      11 = "11:Is considerate and kind to almost   everyone."
      12 = "12:Does things efficiently."
      13 = "13:Outgoing, sociable."
      14 = "14:Is sometimes rude to others."
      15 = "15:Gets nervous easily."
   ;
   value RJ00_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:TIDAK TAHU"
      9 = "9:Missing"
   ;
   value RJ00A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $RJ00B_
      'A' = "A:Public hospital"
      'B' = "B:Public Health Center"
      'C' = "C:Private Hospital"
      'D' = "D:Polyclinic"
      'E' = "E:Private physician"
      'F' = "F:Nurse"
      'G' = "G:Traditional practitioner"
      'V' = "V:Other"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value RJ04A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value RJ04AA_A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ04AA_B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ04AA_C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ04B_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value RJ04CADX_
      1 = "1:Enter address"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CAX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CBX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CCX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CDX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CD_
      0 = "0:In this household"
      1 = "1:In the same village"
      2 = "2:In the same subdistrict"
      3 = "3:In the same district"
      4 = "4:In the same province"
      10 = "10:Sumatra"
      11 = "11:Aceh"
      12 = "12:North Sumatra"
      13 = "13:West Sumatra"
      14 = "14:Riau"
      15 = "15:Jambi"
      16 = "16:South Sumatra"
      17 = "17:Bengkulu"
      18 = "18:Lampung"
      19 = "19:Bangka Belitung"
      20 = "20:Kepulauan Riau"
      30 = "30:Java"
      31 = "31:Jakarta"
      32 = "32:West Java"
      33 = "33:Central Java"
      34 = "34:D.I. Yogyakarta"
      35 = "35:East Java"
      36 = "36:Banten"
      51 = "51:Bali"
      52 = "52:West Nusa Tenggara"
      53 = "53:East Nusa Tenggara"
      60 = "60:Kalimantan"
      61 = "61:West Kalimantan"
      62 = "62:Central Kalimantan"
      63 = "63:South Kalimantan"
      64 = "64:East Kalimantan"
      65 = "65:Nort Kalimantan"
      70 = "70:Sulawesi"
      71 = "71:North Sulawesi"
      72 = "72:Central Sulawesi"
      73 = "73:South Sulawesi"
      74 = "74:South East Sulawesi"
      75 = "75:Gorontalo"
      76 = "76:West Sulawesi"
      81 = "81:Maluku"
      82 = "82:Maluku Utara"
      90 = "90:Irian"
      91 = "91:Irian Jaya Barat"
      94 = "94:Papua"
      101 = "101:Malaysia"
      102 = "102:Singapore"
      103 = "103:Brunei Darussalam"
      104 = "104:Hongkong"
      105 = "105:Japan"
      106 = "106:South Korea"
      107 = "107:Taiwan"
      108 = "108:Timor Leste"
      121 = "121:Yemen"
      122 = "122:Saudi Arabia"
      123 = "123:Kuwait"
      124 = "124:UAE"
      131 = "131:Argentina"
      132 = "132:USA"
      141 = "141:Australia"
      151 = "151:Holland"
      152 = "152:UK"
      995 = "995:Don't know"
      998 = "998:Others"
      999 = "999:Missing"
   ;
   value RJ04CLCX_
      1 = "1:Enter location"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04CNMX_
      1 = "1:Enter Posyandu Lansia name"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $RJ04D_
      'A' = "A:Health checks"
      'B' = "B:Food supplement"
      'C' = "C:Meeting with other elderly"
      'D' = "D:Actitvities with other elderly"
      'E' = "E:Counselling"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RJ04EX_
      1 = "1:Travel time given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04FX_
      1 = "1:Enter time"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04FXX_
      2 = "2:Minutes"
      3 = "3:Hours"
   ;
   value RJ04GX_
      1 = "1:Enter ammount"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04HX_
      1 = "1:Enter ammount"
      3 = "3:Not pay"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ04I_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value RJ01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ02_
      99 = "99:Missing"
   ;
   value $RJTYPE_
      'A' = "A:Public hospital"
      'B' = "B:Public Health Center"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic"
      'G' = "G:Private physician"
      'H' = "H:Nurse"
      'I' = "I:Traditional practitioner"
      'K' = "K:Posyandu Lansia"
      'V' = "V:Others"
   ;
   value $RJ05AX_
      'A' = "A:Public hospital"
      'B' = "B:Public Health Center"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic"
      'G' = "G:Private physician"
      'H' = "H:Nurse"
      'I' = "I:Traditional practitioner"
      'Z' = "Z:Missing"
   ;
   value RJ06ADX_
      1 = "1:Enter address"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06AX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06BX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06CX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06DX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06LCX_
      1 = "1:Enter location"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ06NMX_
      1 = "1:Enter facility name"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $RJ08_
      'B' = "B:Immunization"
      'C' = "C:Consultation"
      'D' = "D:Medical check-up"
      'E' = "E:Medications"
      'F' = "F:Injection"
      'H' = "H:Treatment for injury"
      'I' = "I:Treatment for illnes"
      'J' = "J:Massage"
      'K' = "K:Birth Control"
      'L' = "L:Prenatal Care"
      'M' = "M:Physiotherapy"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RJ09_
      1 = "1:First visit"
      3 = "3:Repeat visit"
      9 = "9:Missing"
   ;
   value RJ10_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ10A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value RJ11X_
      1 = "1:km given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ12X_
      1 = "1:Time given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ12XX_
      2 = "2:Minutes travel time"
      3 = "3:Hours travel time"
      99 = "99:Missing"
   ;
   value RJ14X_
      1 = "1:Rupiah given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ15X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ15XX_
      2 = "2:Minutes waiting time"
      3 = "3:Hours waiting time"
      99 = "99:Missing"
   ;
   value $RJ17_
      'A' = "A:Medical check/consul"
      'B' = "B:Injection"
      'C' = "C:Laboratory test"
      'D' = "D:Surgery"
      'E' = "E:Xray"
      'F' = "F:KB"
      'G' = "G:Medications"
      'I' = "I:Massage"
      'J' = "J:Traditional Treatment"
      'K' = "K:Prenatal Care"
      'L' = "L:Physiotherapy"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RJ17A_
      1 = "1:Satisfactory"
      2 = "2:Somewhat satisfactory"
      3 = "3:Not satisfactory"
      4 = "4:Far from satisfactory"
      9 = "9:MISSING"
   ;
   value RJ20X_
      1 = "1:Value"
      3 = "3:Did not receive"
      5 = "5:Did not fill"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ21A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ21B_
      1 = "1:Askes"
      2 = "2:Jamsostek"
      3 = "3:Employer provided health benefits"
      4 = "4:Employer-provided insurance"
      5 = "5:Savings related insurance"
      6 = "6:SKTM"
      7 = "7:Jamkesmas"
      8 = "8:Jamkesda"
      9 = "9:JKN"
      10 = "10:Jampersal"
      11 = "11:Jamkessos"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value RJ21CX_
      1 = "1:Rupiah given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ21D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ21EX_
      1 = "1:Rupiah given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ21X_
      1 = "1:Value"
      3 = "3:Didn't pay"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ22_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ23X_
      1 = "1:Enter value of goods"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ24AA_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value RJ26_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ27M_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value RJ27X_
      1 = "1:Month Given"
      3 = "3:Never got"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ27Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value RJ28_
      1 = "1:Public Hospital"
      2 = "2:Public Health Center"
      3 = "3:Private Hospital"
      4 = "4:Polyclinic"
      5 = "5:Private physician"
      6 = "6:Nurse"
      7 = "7:Traditional practitioner"
      8 = "8:Don't know"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value RJ29A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJ29BX_
      1 = "1:Given"
      3 = "3:None"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ29X_
      1 = "1:Given"
      3 = "3:None"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJ24A_
      1 = "1:Regularly"
      3 = "3:Irregularly"
      9 = "9:Missing"
   ;
   value RJ24M_
      1 = "1:January"
      2 = "2:Pebruary"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:MISSING"
   ;
   value RJ24X_
      1 = "1:Date given"
      3 = "3:Never"
      8 = "8:Don't Know"
      9 = "9:MISSING"
   ;
   value RJ24Y_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value RN00_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $RN05AX_
      'A' = "A:Public Hospital (General or Specify)"
      'B' = "B:Public Health Center"
      'C' = "C:Private Hospital"
      'D' = "D:Private clinic"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RN06ADX_
      1 = "1:Enter address"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06AX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06BX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06CX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06DX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06LCX_
      1 = "1:Location"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN06NMX_
      1 = "1:Enter facility name"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN10_
      1 = "1:Sickness"
      2 = "2:Accident"
      3 = "3:Giving birth"
      5 = "5:Operation"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value $RN15_
      'A' = "A:Physical exam/consul"
      'B' = "B:Injection"
      'C' = "C:Laboratory test"
      'D' = "D:Surgery"
      'E' = "E:X-ray"
      'F' = "F:Birth control"
      'G' = "G:Medications"
      'I' = "I:IV (Drip Infusion)"
      'J' = "J:Physiotherapy"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RN15A_
      1 = "1:Satisfactory"
      2 = "2:Somewhat satisfactory"
      3 = "3:Not satisfactory"
      4 = "4:Far from satisfactory"
   ;
   value RN18X_
      1 = "1:Fill in cost"
      3 = "3:Did not receive"
      5 = "5:Did not fill"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN19A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RN19B_
      1 = "1:Askes"
      2 = "2:Jamsostek"
      3 = "3:Employer provided health benefits"
      4 = "4:Employer-provided insurance"
      5 = "5:Savings related insurance"
      6 = "6:SKTM"
      7 = "7:Jamkesmas"
      8 = "8:Jamkesda"
      9 = "9:JKN"
      10 = "10:Jampersal"
      11 = "11:Jamkessos"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value RN19CX_
      1 = "1:Rupiah given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN19D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RN19EX_
      1 = "1:Input data (Rupiah)"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN19X_
      1 = "1:Enter total cost"
      3 = "3:Don't know"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RN01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RN02_
      99 = "99:Missing"
   ;
   value $RNTYPE_
      'A' = "A:Public Hospital (General or Specify)"
      'B' = "B:Public Health Center"
      'C' = "C:Private Hospital"
      'D' = "D:Private clinic"
      'V' = "V:Other"
   ;
   value MG18F3B_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value MG18G3B_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value MG18H3B_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value $SA07_
      'A' = "A:Smoke"
      'B' = "B:Drink heavily"
      'C' = "C:Have mental problems"
      'W' = "W:NA"
      'X' = "X:None of the above"
      'Z' = "Z:Missing"
   ;
   value SA08_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Not Applicable"
      9 = "9:Missing"
   ;
   value SA09_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value SA10_
      1 = "1:Piped water"
      2 = "2:Well/pump (electric, hand)"
      3 = "3:Well water"
      4 = "4:Mineral Water"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value SA11_
      1 = "1:Own toilet with septic tank"
      2 = "2:Own toilet without septic tank"
      3 = "3:Shared toilet"
      4 = "4:Public toilet"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value SA12_
      1 = "1:None or very few (0-10 books)"
      2 = "2:Enough to fill 1 shelf (11-25 books)"
      3 = "3:Enough to fill 1 bookcase (26-100 books)"
      4 = "4:Enough to fill 2 bookcases (101-200 books)"
      5 = "5:Enough to fill 2 or more bookcases (more than 200 books"
      9 = "9:MISSING"
   ;
   value SA13_
      1 = "1:Self employed"
      2 = "2:Self-employed with unpaid family worker/temporary worker"
      3 = "3:Self-employed with permanent worker"
      4 = "4:Government worker"
      5 = "5:Private worker"
      6 = "6:Unpaid family worker"
      7 = "7:Casual worker in agriculture"
      8 = "8:Casual worker not in agriculture"
      9 = "9:Transfer"
      10 = "10:Pension"
      99 = "99:Missing"
   ;
   value TDR01_1_
      1 = "1:Never"
      2 = "2:Rarely"
      3 = "3:Sometimes"
      4 = "4:Often"
      5 = "5:Always"
      9 = "9:MISSING"
   ;
   value TDR01_10_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_2_
      1 = "1:Very poor"
      2 = "2:Poor"
      3 = "3:Poor"
      4 = "4:Good"
      5 = "5:Very good"
      9 = "9:Missing"
   ;
   value TDR01_3_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_4_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_5_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_6_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_7_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_8_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TDR01_9_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Somewhat"
      4 = "4:Quite a bit"
      5 = "5:Very much"
      9 = "9:Missing"
   ;
   value TF01_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value TF01A_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value TF02A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value TF03_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value TF03A_
      1 = "1:Never"
      2 = "2:Once in a year"
      3 = "3:Once in a month"
      4 = "4:Once in a week"
      5 = "5:All days"
      8 = "8:Don't know"
   ;
   value TF03B_
      1 = "1:Never"
      2 = "2:At least once a year"
      3 = "3:At least once a month"
      4 = "4:At least once a week"
      5 = "5:Every day"
      8 = "8:Don't know"
   ;
   value TF03C_
      1 = "1:Never"
      2 = "2:At least once a year"
      3 = "3:At least once a month"
      4 = "4:At least once a week"
      5 = "5:Every day"
      8 = "8:Don't know"
   ;
   value $TF04_
      'A' = "A:Money or loan"
      'B' = "B:Tuition"
      'C' = "C:Health care cost"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value TF04G2_
      3 = "3:Days"
      5 = "5:Months"
      9 = "9:Missing"
   ;
   value TF04H2_
      3 = "3:Days"
      5 = "5:Months"
      9 = "9:Missing"
   ;
   value TF05_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $TF06_
      'A' = "A:Money or loan"
      'B' = "B:Tuition"
      'C' = "C:Health care cost"
      'D' = "D:Value of food stuff or other goods"
      'G' = "G:Doing household chores"
      'H' = "H:Helping family business"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value TF06G2_
      3 = "3:Days"
      5 = "5:Months"
      9 = "9:Missing"
   ;
   value TF06H2_
      3 = "3:Days"
      5 = "5:Months"
      9 = "9:Missing"
   ;
   value $TFTYPE_
      'A' = "A:Spouse out of household"
      'A1' = "A1:Non-biological parents not in the household"
      'B' = "B:Other household member"
      'C' = "C:Friends or Neighbour"
   ;
   value MODE_3B_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_3B_
      0 = "0:###"
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
