proc format;
   value BAA00_
      1 = "1:Yes --> Next column/CP"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value BAA02X_
      1 = "1:Given"
      2 = "2:Listed in preprinted and dead or not in HH"
      3 = "3:Not in household"
   ;
   value BAA03_
      1 = "1:Yes"
      3 = "3:No --> BAA06"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BAA04_
      1 = "1:Never"
      2 = "2:At least once per year"
      3 = "3:At least once per month"
      4 = "4:At least once per week"
      5 = "5:Everyday -> BAA05"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BAA04A_
      1 = "1:Never"
      2 = "2:At least once per year"
      3 = "3:At least once per month"
      4 = "4:At least once per week"
      5 = "5:Everyday -> BAA05"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BAA04B_
      1 = "1:Never"
      2 = "2:At least once per year"
      3 = "3:At least once per month"
      4 = "4:At least once per week"
      5 = "5:Everyday"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value BAA05_
      0 = "0:In this household"
      1 = "1:In the same village"
      2 = "2:In the same subdistrict"
      3 = "3:In the same district"
      4 = "4:In the same province"
      10 = "10:Sumatra"
      11 = "11:Aceh"
      12 = "12:North Sumatra"
      13 = "13:Sumatera Barat"
      14 = "14:Riau"
      15 = "15:Jambi"
      16 = "16:South Sumatra"
      17 = "17:Bengkulu"
      18 = "18:Lampung"
      19 = "19:Bangka Belitung"
      20 = "20:Kepulauan Riau"
      30 = "30:Java"
      31 = "31:Jakarta"
      32 = "32:West Java"
      33 = "33:Central Java"
      34 = "34:DI.Yogyakarta"
      35 = "35:East Java"
      36 = "36:Banten"
      51 = "51:Bali"
      52 = "52:West  Nusa Tengara"
      53 = "53:East Nusa Tengara"
      60 = "60:Kalimantan"
      61 = "61:West Kalimantan"
      62 = "62:Central Kalimantan"
      63 = "63:South Kalimantan"
      64 = "64:East Kalimantan"
      65 = "65:North kalimantan"
      70 = "70:Sulawesi"
      71 = "71:North Sulawesi"
      72 = "72:Central Sulawesi"
      73 = "73:South Sulawesi"
      74 = "74:South East Sulawesi"
      75 = "75:Gorontalo"
      76 = "76:Sulawesi Barat"
      81 = "81:Maluku"
      82 = "82:Maluku Utara"
      90 = "90:Irian"
      91 = "91:Papua Barat"
      94 = "94:Papua"
      101 = "101:Malaysia"
      102 = "102:Singapore"
      103 = "103:Brunei Darussalam"
      104 = "104:Hong Kong"
      105 = "105:Japan"
      106 = "106:South Korea"
      107 = "107:Taiwan"
      108 = "108:Timor Leste"
      121 = "121:Yemen"
      122 = "122:Saudi Arabia"
      123 = "123:Kuwait"
      124 = "124:UAE"
      131 = "131:Argentina"
      132 = "132:Amerika Serikat"
      141 = "141:Australia"
      151 = "151:Holland"
      152 = "152:UK"
      995 = "995:Other"
      998 = "998:Don't know"
      999 = "999:Missing"
   ;
   value BAA06_
      1 = "1:No schooling"
      2 = "2:Elementary school"
      3 = "3:Junior high general"
      4 = "4:Junior high vocational"
      5 = "5:Senior high general"
      6 = "6:Senior high vocational"
      11 = "11:Adult education A"
      12 = "12:Adult education B"
      13 = "13:Universitas Terbuka"
      14 = "14:Islamic school (pesantren)"
      15 = "15:Adult Education C"
      17 = "17:School for disable"
      60 = "60:College (D1, D2, D3)"
      61 = "61:University S1 (bachelor)"
      62 = "62:University S2 (Master)"
      63 = "63:University S3 (Doctorate)"
      72 = "72:Islamic elementary school (Madrasah Ibtidaiyah)"
      73 = "73:Islamic junior high school (Madrasah Tsanawiyah)"
      74 = "74:Islamic senior high school (Madrasah Aaliyah)"
      90 = "90:Kindergarden"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value BAA07_
      0 = "0:Didn't finish first class"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value $BAATYPE_
      "1" = "Father"
      "2" = "Mother"
   ;
   value COV00B5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value COV10B5_
      1 = "1:Expensive"
      2 = "2:Do not know how to get it"
      3 = "3:Feel unimportant"
      4 = "4:Maintenance of remote office"
      5 = "5:Don't know if the birth must be reported"
6 = "The process is difficult / convoluted"
      7 = "7:Can't show (Damaged"
      9 = "9:Missing"
   ;
   value COV11B5_
      1 = "1:Agreed to have picture taken"
      3 = "3:Not Agreed to have picture taken"
      9 = "9:Missing"
   ;
   value COV3B5_
      998 = "998:Don't know"
      999 = "999:Missing"
   ;
   value COV5B5_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value COV6DB5_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value COV6MB5_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Oktober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value COV6YB5_
      9998 = "9998:Don't Know"
      9999 = "9999:Missing"
   ;
   value COV7B5_
      96 = "96:No proxy"
   ;
   value COV8B5_
      1 = "1:Mother"
      2 = "2:Father"
      3 = "3:Sibling"
      4 = "4:Aunt/Uncle"
      5 = "5:Grandparent"
      6 = "6:Child Him/Herself"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value COV9B5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C1B5_
      1 = "1:Completed --> C3"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C2B5_
      1 = "1:Resnot at home/did not found"
      2 = "2:Reswas seriously ill"
      3 = "3:Resrefused"
      5 = "5:Other"
   ;
   value C3B5_
      1 = "1:Data is entered without error"
      2 = "2:Data is entered and corrected"
      3 = "3:Data is entered without correction"
      4 = "4:Edit manually without CAPI"
   ;
   value C4AB5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4BB5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4CB5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CK1B5_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value CK2B5_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:NA"
      99 = "99:Missing"
   ;
   value $CP51_
      'A' = "A:NO ONE"
      'B' = "B:A CHILD 5 YEARS OLD OR UNDER"
      'C' = "C:A CHILD OLDER THAN 5 YEARS OLD"
      'D' = "D:HUSBAND/WIFE"
      'E' = "E:AN ADULT, A HOUSEHOLDER"
      'F' = "F:AN ADULT, NOT A HOUSEHOLDER"
   ;
   value CP52_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
      9 = "9:Missing"
   ;
   value CP53_
      1 = "1:Excellent"
      2 = "2:Good"
      3 = "3:Fair"
      4 = "4:Not so good"
      5 = "5:Very bad"
      9 = "9:Missing"
   ;
   value DLA01_
      1 = "1:Yes -->DLA03b"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $DLA02_
      'A' = "A:Not old enough -->DLA04a"
      'B' = "B:Help parents earn money"
      'C' = "C:Could not afford"
      'D' = "D:No school/too far"
      'E' = "E:Not able  to  study"
      'F' = "F:Not accepted in school"
      'G' = "G:Because sick or disabled"
      'H' = "H:School had no teachers"
      'I' = "I:School closed"
      'K' = "K:Doesn't want to go"
      'L' = "L:Help at home"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value DLA03B_
      1 = "1:Yes"
      3 = "3:No --> DLA03d"
      9 = "9:Missing"
   ;
   value $DLA03C_
      'A' = "A:Talking on the phone for personal use"
      'B' = "B:Talking on the phone for business affairs / jobs"
      'C' = "C:SMS / text messages"
      'D' = "D:Email"
      'E' = "E:Social media (Chatting"
      'F' = "F:Mobile Banking"
      'G' = "G:Transfer pulse"
      'H' = "H:Entertainment / Multimedia (Games"
      'Z' = "Z:Missing"
   ;
   value DLA03D_
      1 = "1:Yes"
      3 = "3:No --> DLA03x"
      9 = "9:Missing"
   ;
   value $DLA03E_
      'A' = "A:Computer at home"
      'B' = "B:Computers in schools"
      'C' = "C:Computers in the workplace"
      'D' = "D:Computers in internet cafes"
      'E' = "E:Through Mobile"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value DLA03X_
      1 = "1:Yes"
      3 = "3:No --> DLA04a"
      9 = "9:Missing"
   ;
   value DLA04_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA04A_
      1 = "1:Yes"
      3 = "3:No --> DLA04c"
      9 = "9:Missing"
   ;
   value DLA04B_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA04BX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA04C_
      1 = "1:Yes"
      3 = "3:No --> DLA04e"
      9 = "9:Missing"
   ;
   value DLA04D_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA04DX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA04E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA04X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA05X_
      1 = "1:Yes -->DLA56x"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA07_
      1 = "1:Yes"
      3 = "3:No --> DLA09c"
      9 = "9:Missing"
   ;
   value DLA08_
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:Senior High - General"
      6 = "6:Senior High - Vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      14 = "14:Pondok pesantren"
      15 = "15:Adult Education C"
      17 = "17:School for the disable"
      72 = "72:Madrasah Ibtidaiyah"
      73 = "73:Madrasah Tsanawiyah"
      74 = "74:Madrasah Aliyah"
      95 = "95:Others"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA09_
      0 = "0:Didn't complete first class at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA70_
      2 = "2:Elementary"
      3 = "3:Junior High School"
      4 = "4:Junior High Vocational"
      5 = "5:Senior High General"
      6 = "6:Senior High Vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      15 = "15:Adult Education C"
      17 = "17:School for Disable"
      72 = "72:Madrasah Elementary"
      73 = "73:Madrasah Junior High School"
      74 = "74:Madrasah Senior High School"
      95 = "95:Others"
      99 = "99:Missing"
   ;
   value DLA71_
      1 = "1:Public non-religious"
      2 = "2:Public religious"
      3 = "3:Private non-religious"
      4 = "4:Private Islam"
      5 = "5:Private Catholic"
      6 = "6:Private Protestant and others"
      8 = "8:Private Buddhist"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value DLA71A_
      9998 = "9998:Don't Know"
      9999 = "9999:Missing"
   ;
   value DLA71AX_
      1 = "1:Given --> DLA71c"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA71B_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA71C_
      0 = "0:Didn't finish 1st class at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated --> DLA71f"
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value DLA71D_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Still school"
      9 = "9:Missing"
   ;
   value $DLA71E_
      'B' = "B:To help parents earn money"
      'C' = "C:Could not afford"
      'D' = "D:No school/ too far"
      'E' = "E:Not able to study"
      'F' = "F:Not accepted in school"
      'G' = "G:Illness / disability"
      'H' = "H:School had no teacher"
      'I' = "I:School closed/ruined"
      'K' = "K:Doesn't want to go"
      'L' = "L:Help at home"
      'M' = "M:Married"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value DLA71F_
      9998 = "9998:Don't Know"
      9999 = "9999:Missing"
   ;
   value DLA71FX_
      1 = "1:Given -->DLA75"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA71G_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA73_
      1 = "1:Yes"
      3 = "3:No --> DLA74a"
      9 = "9:Missing"
   ;
   value $DLA74_
      'A' = "1"
      'B' = "2"
      'C' = "3"
      'D' = "4"
      'E' = "5"
      'F' = "6"
   ;
   value DLA741_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA742_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA743_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA744_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA745_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA746_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74A_
      1 = "1:Yes"
      3 = "3:No --> DLA76a"
      9 = "9:Missing"
   ;
   value $DLA74B_
      'A' = "A:Class 1"
      'B' = "B:Class 2"
      'C' = "C:Class 3"
      'D' = "D:Class 4"
      'E' = "E:Class 5"
      'F' = "F:Class 6"
   ;
   value DLA74BA1_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74BB2_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74BC3_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74BD4_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74BE5_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74BF6_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA74C1AMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C1AYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA74C1BMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C1BYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA74C2AMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C2AYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA74C2BMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C2BYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA74C3AMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C3AYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA74C3BMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value DLA74C3BYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value $DLA74D_
      'B' = "B:To help parents earn money"
      'C' = "C:Could not afford"
      'D' = "D:No school/ too far"
      'E' = "E:Not able to study"
      'F' = "F:Not accepted in school"
      'G' = "G:Because sick or disabled"
      'H' = "H:School had no teachers"
      'I' = "I:School closed"
      'K' = "K:Doesn't want to go"
      'L' = "L:Help at home"
      'M' = "M:Married"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value DLA75_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA76A_
      1 = "1:Yes"
      3 = "3:No -->DLA76f"
      9 = "9:Missing"
   ;
   value DLA76B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA76C1_
      1 = "1:EBTANAS"
      2 = "2:UAN/UN/UAS"
      9 = "9:Missing"
   ;
   value DLA76C2_
      99 = "99:Missing"
   ;
   value DLA76CMTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:Okctober"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value DLA76CX_
      1 = "1:Date given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76CYR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value DLA76DBX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DCX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DDX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DEX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DFX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DGX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DHX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DIX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DJX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DKX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DLX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DMX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DNX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76DTX_
      1 = "1:Given"
      6 = "6:NA"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76EX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FADX_
      1 = "1:Address given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FAX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FBX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FCX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FDX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FLX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76FNMX_
      1 = "1:Name given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $DLA76F_A_
      'A' = "A:Indonesian"
      'B' = "B:English"
      'C' = "C:mandarin"
      'D' = "D:Regional"
      'Z' = "Z:Missing"
   ;
   value DLA76IX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76J2_
      1 = "1:Minute"
      2 = "2:Missing"
   ;
   value DLA76JX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA76XA_
      1 = "1:Yes"
      3 = "3:No -->DLA76g"
      9 = "9:Missing"
   ;
   value DLATYPE_
      1 = "1:Elementary School"
      2 = "2:Junior High School"
      3 = "3:Senior High School"
   ;
   value DLA91A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $DLA100_
      'A' = "A:Yes"
      'B' = "B:Yes"
      'C' = "C:No"
      'Z' = "Z:Missing"
   ;
   value DLA101_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA102_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $DLA103_
      'A' = "A:GNOTA"
      'C1' = "C1:Government(beside BOS/BKM)"
      'C3' = "C3:Other Government(beside BOS/BKM)"
      'D' = "D:Community Group"
      'E' = "E:Religious group"
      'F' = "F:Family"
      'I' = "I:School Committe"
      'J' = "J:BOS/BKM fund"
      'K' = "K:Foreign Government/Foundation/Private"
      'L' = "L:Domestic non-governmental"
      'T' = "T:Total"
   ;
   value DLA56X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA90_
      1 = "1:Yes"
      3 = "3:No -->DLA91c"
      9 = "9:Missing"
   ;
   value DLA91C_
      1 = "1:Respondent still in school (DLA07=1)"
      3 = "3:Respondent not in school ( DLA07=3 )   --> DLA56x"
      9 = "9:Missing"
   ;
   value DLA104A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA2TYPE_
      1 = "1:Wages"
      2 = "2:Family farm business"
      3 = "3:Family non-farm business"
      4 = "4:Household work"
   ;
   value DLA56A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value DLA57A_
      1 = "1:Yes"
      3 = "3:No --> DLA61a"
      9 = "9:Missing"
   ;
   value DLA58AX_
      1 = "1:Hours given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA59A_
      9 = "9:Missing"
   ;
   value DLA59AX_
      1 = "1:Hours given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA60AX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA61AX_
      1 = "1:Age given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value DLA62AX_
      1 = "1:Age given"
      6 = "6:Still working"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value FMA01_
      1 = "3 times a day"
      2 = "2 times a day"
      3 = "1 time a day"
      4 = "5-6 times per week"
      5 = "3-4 times per week"
      6 = "2 times per week"
      96 = "96:ASI"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value $FMA01A_
      'A' = "A:Morning"
      'B' = "B:At night"
      'C' = "C:At noon"
      'D' = "D:After meals"
      'E' = "E:Never"
      'F' = "F:Sometimes"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value FMA02_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value FMA03_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $FMATYPE_
      'A' = "A:Cassava"
      'B' = "B:Eggs"
      'C' = "C:Fish"
      'D' = "D:Meat or chicken"
      'E' = "E:Milk"
      'F' = "F:Vegetables"
      'G' = "G:Banana"
      'H' = "H:Pepaya"
      'I' = "I:Carrot"
      'J' = "J:Manggoes"
      'K' = "K:Instant Noodles"
      'L' = "L:Fast food (KFC"
      'M' = "M:Carbonated drinks (Coca-Cola"
      'N' = "N:Sambal"
      'O' = "O:Fried snacks (fried tempe, tahu, bakwan, etc)"
      'P' = "P:Rice"
      'Q' = "Q:Sweet snacks (wajik, geplak, donat, wafer, coolate, dll)"
   ;
   value IC01B5_
      1 = "1:I have furnished the data"
      3 = "3:I don't give information"
   ;
   value IC02B5_
      1 = "1:I agree to participate"
      3 = "3:I don't agree to participate"
   ;
   value IC_MTHB5_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
   ;
   value B5_MOVER_
      0 = "0:CANCEL"
      1 = "1:Cover"
      2 = "2:DLA (INTRO1 - DLA09C)"
      3 = "3:DLA (DLA70 - DLA76J2)"
      4 = "4:DLA (INTRO2 - DLA91B)"
      5 = "5:DLA (DLA100 - DLA103)"
      6 = "6:DLA (DLA91C - DLA104)"
      7 = "7:DLA (DLA56 - DLA62A)"
      8 = "8:MAA (INTRO - MAA05AD)"
      9 = "9:PSA (INTRO - PSA02)"
      10 = "10:RJA (INTRO - RJA32)"
      11 = "11:FMA (FMA01 - FMA03)"
      12 = "12:RNA (INTRO1 - RNA02A)"
      13 = "13:RNA (INTRO2 - RNA19C)"
      14 = "14:BAA (INFORMASI ORANG TUA)"
      15 = "15:CP (CATATAN PEWAWANCARA)"
   ;
   value INTRO_DLA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value INTRO_DLA2_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value $INTRO_FMA02_
      'A' = "A:Cassava"
      'B' = "B:Eggs"
      'C' = "C:Fish"
      'D' = "D:Meat or chicken"
      'E' = "E:Milk"
      'F' = "F:Vegetables"
      'G' = "G:Banana"
      'H' = "H:Pepaya"
      'I' = "I:Carrot"
      'J' = "J:Manggoes"
      'K' = "K:Instant Noodles"
      'L' = "L:Fast food (KFC"
      'M' = "M:Carbonated drinks (Coca-Cola"
      'N' = "N:Sambal"
      'O' = "O:Fried snacks (fried tempe, tahu, bakwan, etc)"
      'P' = "P:Rice"
      'Q' = "Q:Sweet snacks (wajik, geplak, donat, wafer, coolate, dll)"
      'W' = "W:NA"
   ;
   value INTRO_FMA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value INTRO_MAA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value INTRO_MAA2_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value $INTRO_PSA01_
      'A' = "A:Consumed over-the-counter modern medicines"
      'B' = "B:Consumed traditional herbs or traditional medicines"
      'C' = "C:Used topical medicines (eyedrops"
      'E' = "E:Vitamin/Supplements"
      'F' = "F:Massage"
      'W' = "W:NA"
   ;
   value INTRO_PSA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value $INTRO_RJA01_
      'A' = "A:Public Hospital"
      'B' = "B:Public Health Center"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic"
      'G' = "G:Private Physician (General Practitioner"
      'H' = "H:Nurse"
      'I' = "I:Traditional practitioner (wiseman"
      'V' = "V:Other"
   ;
   value $INTRO_RJA0C_
      'A' = "A:Weighing"
      'B' = "B:Supplement food"
      'C' = "C:Vitamin A"
      'D' = "D:Oral Rehydration Solution"
      'E' = "E:Imunization"
      'F' = "F:Exam by puskesmas staff"
      'G' = "G:Child Development Activity"
      'V' = "V:Other"
      'W' = "W:NA"
   ;
   value INTRO_RJA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value INTRO_RJA2_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value $INTRO_RNA01_
      'A' = "A:Public Hospital (General or Specialty)"
      'B' = "B:Public Health Center (puskesmas)"
      'C' = "C:Private Hospital"
      'D' = "D:Private Clinic"
      'F' = "F:Midwife Clinic"
      'V' = "V:Other"
   ;
   value INTRO_RNA1_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value INTRO_RNA2_
      1 = "1:Interview continues"
      9 = "9:Interviews completed"
   ;
   value MAA04_
      1 = "1:Yes"
      3 = "3:No --> Section PSA"
      9 = "9:Missing"
   ;
   value MAA05AA_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MAA05AB_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MAA05AC_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value MAA05AD_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $MAA06_
      'A' = "A:Infectious diseases (eg measles, rubella, chicken pox)"
      'B' = "B:Polio"
      'C' = "C:Asthma"
      'D' = "D:Respiratory problems other than asthma"
      'E' = "E:Allergies (other than asthma)"
      'F' = "F:Muntaber/Typus"
      'G' = "G:Epilepsy"
      'H' = "H:Mental problems"
      'J' = "J:Diabetes / high blood sugar in childhood"
      'K' = "K:Heart problems"
      'L' = "L:Leukemia or lymphoma"
      'M' = "M:Cancer or malignant tumors (including mild skin cancer)"
      'V' = "V:Other"
      'W' = "W:NO DISEASE"
      'Z' = "Z:Missing"
   ;
   value MAA0A_
      1 = "1:Very healthy"
      2 = "2:Somewhat healthy"
      3 = "3:Somewhat unhealthy"
      4 = "4:Unhealthy"
      9 = "9:Missing"
   ;
   value MAA0B_
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value MAA0BX_
      1 = "1:Days given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MAA0C_
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value MAA0CX_
      1 = "1:Days given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value MAA0D_
      1 = "1:Much better now"
      2 = "2:Somewhat better now"
      3 = "3:About the same"
      4 = "4:Somewhat worse"
      5 = "5:Much worse"
      6 = "6:Less than one year old"
      9 = "9:Missing"
   ;
   value MAA01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value $MAATYPE_
      'AA' = "AA:Headache"
      'BA' = "BA:Runny nose"
      'CA' = "CA:Cough"
      'CAA' = "CAA:Dry cough"
      'CAB' = "CAB:Dry with phlegm"
      'CAC' = "CAC:Bloody cough"
      'DA' = "DA:Difficulty breathing"
      'DAA' = "DAA:Wheezing"
      'DAB' = "DAB:Short"
      'EA' = "EA:Fever"
      'FA' = "FA:Stomach ache"
      'HA' = "HA:Nausea/vomitting"
      'IA' = "IA:Diarrhea"
      'IAA' = "IAA:Mixed with blood"
      'IAB' = "IAB:Mixed with mucous"
      'IAC' = "IAC:Pale liquid"
      'JA' = "JA:Skin infection (boil"
      'KA' = "KA:Eye infection"
      'LA' = "LA:Toothache"
      'MA' = "MA:Cold sores"
   ;
   value PSA01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value PSA02X_
      1 = "1:Enter total cost"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $PSATYPE_
      'A' = "A:Consumed over-the-counter modern medicines"
      'B' = "B:Consumed traditional herbs or traditional medicines"
      'C' = "C:Used topical medicines (eyedrops"
      'E' = "E:Vitamin/Supplements"
      'F' = "F:Massage"
   ;
   value RJA01A_
      1 = "1:Yes"
      3 = "3:No --> RJA25"
      9 = "9:Missing"
   ;
   value $RJA05AX_
      'A' = "A:Public Hospital"
      'B' = "B:Public Health Center"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic"
      'G' = "G:Private Physician (General Practitioner"
      'H' = "H:Nurse"
      'I' = "I:Traditional practitioner (wiseman"
      'V' = "V:Other"
   ;
   value RJA06ADX_
      1 = "1:Enter address"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA06AX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA06BX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA06CX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA06DX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA06LCX_
      1 = "1:Given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA06NMX_
      1 = "1:Enter facility name"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value $RJA08_
      'B' = "B:Immunization"
      'C' = "C:Consultation"
      'D' = "D:Medical check-up"
      'E' = "E:Medications"
      'F' = "F:Injection"
      'H' = "H:Treatment for injury"
      'I' = "I:Treatment for illnes"
      'J' = "J:Massage"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Dont know"
      'Z' = "Z:Missing"
   ;
   value RJA09_
      1 = "1:First visit"
      3 = "3:Follow-up"
      9 = "9:Missing"
   ;
   value RJA0A_
      1 = "1:Yes"
      3 = "3:No -->RJA01a"
      9 = "9:Missing"
   ;
   value RJA0BADX_
      1 = "1:Enter address"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0BLX_
      1 = "1:Location note given"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0BNMX_
      1 = "1:Enter posyandu name"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0BRTX_
      1 = "1:Given"
      6 = "6:Not applicable"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0BRWX_
      1 = "1:Given"
      3 = "3:Same with current place"
      6 = "6:Not applicable"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0BVX_
      1 = "1:Village given"
      3 = "3:Same"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA0CA_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CB_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CC_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CD_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CE_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CF_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CG_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0CV_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA0E_
      1 = "1:Yes"
      3 = "3:No -->RJA01a"
      9 = "9:Missing"
   ;
   value RJA0FX_
      1 = "1:Enter value of pay"
      8 = "8:Don't Know"
      9 = "9:Missing"
   ;
   value RJA10_
      1 = "1:Yes --> RJA11"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA10A_
      1 = "1:Yes -->RJA17"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA11X_
      1 = "1:Enter # of kilometer"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA12A_
      1 = "1:Minutes travel time"
      2 = "2:Hours travel time"
   ;
   value RJA12X_
      1 = "1:Given time"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA14X_
      1 = "1:Enter total cost"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA15A_
      1 = "1:Minutes travel time"
      2 = "2:Hours travel time"
   ;
   value RJA15X_
      1 = "1:Given time"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $RJA17_
      'A' = "A:Medical check-up/consultatin"
      'B' = "B:Injection"
      'C' = "C:Laboratorium test"
      'D' = "D:Surgery"
      'E' = "E:X-ray"
      'G' = "G:Medications"
      'I' = "I:Massage"
      'J' = "J:Traditional treatment"
      'V' = "V:Other"
      'W' = "W:NA"
      'Y' = "Y:Dont know"
      'Z' = "Z:Missing"
   ;
   value RJA17A_
      1 = "1:Satisfactory"
      2 = "2:Somewhat satisfactory"
      3 = "3:Not satisfactory"
      4 = "4:Far from satisfactory"
   ;
   value RJA20X_
      1 = "1:Value Given"
      3 = "3:Did not receive"
      5 = "5:Did not fill"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA21A_
      1 = "1:Yes"
      3 = "3:No --> RJA22"
      9 = "9:Missing"
   ;
   value RJA21B_
      1 = "1:ASKES"
      2 = "2:JAMSOSTEK"
      3 = "3:Private or employer-provided insurance"
      4 = "4:Health insurance paid by the respondent"
      5 = "5:Insurance related bank saving"
      6 = "6:Letter stating non-affordability"
      7 = "7:JAMKESMAS"
      8 = "8:JAMKESDA"
      9 = "9:JKN"
      10 = "10:JAMPERSAL"
      11 = "11:JAMKESSOS"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value RJA21CX_
      1 = "1:Yes"
      8 = "8:No"
      9 = "9:Missing"
   ;
   value RJA21D_
      1 = "1:Yes"
      3 = "3:No =>RJA22"
      9 = "9:Missing"
   ;
   value RJA21EX_
      1 = "1:Enter the value (rupiah)"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA21X_
      1 = "1:Value"
      3 = "3:Did not pay anything"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA22_
      1 = "1:Yes"
      3 = "3:No --> RJA25"
      9 = "9:Missing"
   ;
   value RJA23X_
      1 = "1:Enter value of goods"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA25_
      1 = "1:Yes"
      3 = "3:No --> Section FMA"
      9 = "9:Missing"
   ;
   value RJA25A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA26_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:Does not have card --> RJA30"
      9 = "9:Missing"
   ;
   value RJA27X_
      1 = "1:Given"
      3 = "3:Not written down at the card"
      9 = "9:Missing"
   ;
   value RJA29_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30A_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30B_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30BN_
      98 = "98:Dont know"
      99 = "99:Missing"
   ;
   value RJA30C_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30CN_
      98 = "98:Dont know"
      99 = "99:Missing"
   ;
   value RJA30D_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30E_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30EN_
      98 = "98:Dont know"
      99 = "99:Missing"
   ;
   value RJA30F_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30FN_
      98 = "98:Dont know"
      99 = "99:Missing"
   ;
   value RJA30G_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA30H_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA31_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA32_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value RJA32X_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RJA01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RJA02AX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $RJA1TYPE_
      'A' = "A:Public Hospital"
      'B' = "B:Public Health Center"
      'E' = "E:Private Hospital"
      'F' = "F:Polyclinic"
      'G' = "G:Private Physician (General Practitioner"
      'H' = "H:Nurse"
      'I' = "I:Traditional practitioner (wiseman"
      'V' = "V:Other"
   ;
   value RJA28ADY_
      0 = "0:Not received"
      44 = "44:Child has already had"
      66 = "66:Vaccination was received"
      88 = "88:Don't know"
      99 = "99:Missing"
   ;
   value RJA28AMT_
      0 = "0:Not received"
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      66 = "66:Vaccination was received"
      88 = "88:Don't know"
      99 = "99:Missing"
   ;
   value $RJA28AX_
      'B' = "B:BCG"
      'C' = "C:Polio 0 (at birth)"
      'D' = "D:Polio 1"
      'E' = "E:Polio 2"
      'F' = "F:Polio 3"
      'G' = "G:DPT 1"
      'H' = "H:DPT 2"
      'I' = "I:DPT 3"
      'J' = "J:Measles"
      'K' = "K:Hepatitis B1"
      'L' = "L:Hepatitis B2"
      'M' = "M:Hepatitis B3"
      'N' = "N:Polio 4"
      'O' = "O:Rotavirus 1"
      'P' = "P:Rotavirus 2"
   ;
   value RJA28AYR_
      0 = "0:Not received"
      6666 = "6666:Vaccination was received"
      8888 = "8888:Don't know"
      9999 = "9999:Missing"
   ;
   value RNA00_
      1 = "1:Yes"
      3 = "3:No --> Section BAA"
      9 = "9:Missing"
   ;
   value $RNA05AX_
      'A' = "A:Public Hospital (General or Speciality)"
      'B' = "B:Public Health Center (Puskesmas)"
      'C' = "C:Private Hospital"
      'D' = "D:Private Clinic"
      'F' = "F:Midwife clinic"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RNA06ADX_
      1 = "1:Enter address"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06AX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06BX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06CX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06DX_
      1 = "1:Not the same"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06LX_
      1 = "1:Location note given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA06NMX_
      1 = "1:Enter facility name"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA08_
      998 = "998:Don't Know"
      999 = "999:Missing"
   ;
   value RNA10_
      1 = "1:Sickness"
      2 = "2:Accident"
      5 = "5:Surgery"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value $RNA15_
      'A' = "A:Medical check-up/consultation"
      'B' = "B:Injection"
      'C' = "C:Laboratory test"
      'D' = "D:Surgery"
      'E' = "E:X-ray"
      'F' = "F:Family Planning"
      'G' = "G:Medications"
      'I' = "I:IV (Drip Infusion)"
      'V' = "V:Other"
      'Z' = "Z:Missing"
   ;
   value RNA15A_
      1 = "1:Satisfactory"
      2 = "2:Somewhat satisfactory"
      3 = "3:Not satisfactory"
      4 = "4:Far from satisfactory"
      9 = "9:Missing"
   ;
   value RNA18X_
      1 = "1:Value"
      3 = "3:Did not receive"
      5 = "5:Did not fill"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA19A_
      1 = "1:Yes"
      3 = "3:No --> Section BAA"
      9 = "9:Missing"
   ;
   value RNA19B_
      1 = "1:ASKES"
      2 = "2:JAMSOSTEK"
      3 = "3:Private or employer-provided insurance"
      4 = "4:Health insurance paid by the respondent"
      5 = "5:Insurance related bank saving"
      6 = "6:Letter stating non-affordability"
      7 = "7:JAMKESMAS"
      8 = "8:JAMKESDA"
      9 = "9:JKN"
      10 = "1JAMPERSAL"
      11 = "1JAMKESSOS"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value RNA19CX_
      1 = "1:Enter total cost"
      8 = "8:Didn't pay anything"
      9 = "9:Don't know"
   ;
   value RNA19D_
      1 = "1:Yes"
      3 = "3:No => BAA"
      9 = "9:Missing"
   ;
   value RNA19EX_
      1 = "1:Enter the value (rupiah)"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA19X_
      1 = "1:Enter total cost"
      3 = "3:Didn't pay anything"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value RNA01_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value RNA02AX_
      1 = "1:Given"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $RNA1TYPE_
      'A' = "A:Public Hospital (General or Speciality)"
      'B' = "B:Public Health Center (Puskesmas)"
      'C' = "C:Private Hospital"
      'D' = "D:Private Clinic"
      'F' = "F:Midwife clinic"
      'V' = "V:Other"
   ;
   value MODE_5_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
      4 = "4:Partial save"
   ;
   value MODE_B5_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_B5_
      0 = "0:###"
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
