proc format;
   value EF34_A_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_B_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_C_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_D_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_E_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_F_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_G_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value EF34_H_PID_
      51 = "51:Not living in HH"
      96 = "96:NA"
   ;
   value $EF01_
      'A' = "A:Heart attack"
      'B' = "B:Heart problems"
      'C' = "C:Stroke"
      'D' = "D:Diabetes"
      'E' = "E:Cancer"
      'F' = "F:TBC"
      'G' = "G:Asthma"
      'H' = "H:Other respiratory illness"
      'I' = "I:Dengue fever"
      'J' = "J:Malaria"
      'K' = "K:Death in childbirth"
      'L' = "L:Kidney failure"
      'M' = "M:Other illnesses"
      'N' = "N:Accident"
      'O' = "O:Violence / conflict"
      'P' = "P:Suicide"
      'Y' = "Y:Don't know"
      'Z' = "Z:Missing"
   ;
   value EF02_
      998 = "998:Don't know"
      999 = "999:Missing"
   ;
   value EF02_X_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF03_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EF03_X_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF03_YR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value EF04_
      1 = "1:In this house"
      2 = "2:In the other house"
      3 = "3:In the hospital"
      4 = "4:In nursing home"
      5 = "5:In elderly care homes"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EF05_
      99 = "99:Missing"
   ;
   value EF05_X_
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF06_
      1 = "1:Yes --> EF08"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF07AX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF07BX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF07CX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF07DX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF07EX_
      1 = "1:Given"
      3 = "3:Same"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF08_
      1 = "1:Yes --> EF12"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF09_
      1 = "1:Yes"
      3 = "3:No --> EF08"
      8 = "8:Don't know --> EF08"
      9 = "9:Missing"
   ;
   value EF10_
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:Senior High - General"
      6 = "6:Senior High - Vocational"
      11 = "11:Adult Education A"
      12 = "12:Adult Education B"
      13 = "13:Open University"
      14 = "14:Pondok pesantren"
      15 = "15:Adult Education C"
      17 = "17:School for the disable"
      60 = "60:College (D1, D2, D3)"
      61 = "61:University S1"
      62 = "62:University S2"
      63 = "63:University S3"
      72 = "72:Madrasah Ibtidaiyah"
      73 = "73:Madrasah Tsanawiyah"
      74 = "74:Madrasah Aliyah"
      90 = "90:Kindergarden"
      95 = "95:Others"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EF11_
      0 = "0:Didn't finish 1st class at that level"
      7 = "7:Graduated"
      98 = "98:Don't Know"
      99 = "99:Missing"
   ;
   value EF12_
      1 = "1:Working/trying to find income/helping to earn income"
      2 = "2:Job searching"
      3 = "3:Attending school"
      4 = "4:Housekeeping"
      5 = "5:Retired"
      6 = "6:Stay at home / unemployed"
      7 = "7:Sick/disable"
      95 = "95:Other"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EF13_
      1 = "1:Self-employed"
      2 = "2:Self employed with  unpaid family/temporary worker"
      3 = "3:Self-employed with permanent workers"
      4 = "4:Government employee"
      5 = "5:Private employee"
      6 = "6:Unpaid family worker"
      7 = "7:Casual worker in agriculture"
      8 = "8:Casual worker not in agriculture"
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value EF14_
      1 = "1:Very healthy"
      2 = "2:Healthy enough"
      3 = "3:Rather unhealthy"
      4 = "4:Very unhealthy"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF15_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF16_AGE_
      998 = "998:Don't know"
      999 = "999:Missing"
   ;
   value EF16_X_
      1 = "1:Age"
      2 = "2:Year"
      9 = "9:Missing"
   ;
   value EF16_YR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value EF17_AGE_
      998 = "998:Don't know"
      999 = "999:Missing"
   ;
   value EF17_X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF17_XX_
      1 = "1:Age"
      2 = "2:Year"
      9 = "9:Missing"
   ;
   value EF17_YR_
      9998 = "9998:Don't know"
      9999 = "9999:Missing"
   ;
   value $EF18_
      'A' = "A:Brain"
      'B' = "B:Mouth cavity"
      'C' = "C:Esophagus"
      'D' = "D:Throat"
      'E' = "E:Thyroid"
      'F' = "F:Lung"
      'G' = "G:Breast"
      'H' = "H:Oesophagus"
      'I' = "I:Stomach"
      'J' = "J:Liver"
      'K' = "K:Pancreas"
      'L' = "L:Kidney"
      'M' = "M:Prostate"
      'N' = "N:Testicular"
      'O' = "O:uterus"
      'P' = "P:Cervix"
      'Q' = "Q:Endometrium"
      'R' = "R:Colon/rectum"
      'S' = "S:Bladder"
      'T' = "T:Skin"
      'U' = "U:Non-hodgin lymphoma"
      'V' = "V:Other"
      'W' = "W:Leukemia"
      'Z' = "Z:Missing"
   ;
   value $EF19_
      'A' = "A:Traditional medicine"
      'B' = "B:Modern medicine"
      'C' = "C:Surgery"
      'D' = "D:Changes in eating patterns / diet"
      'E' = "E:Sports"
      'F' = "F:Control smoking"
      'G' = "G:Chemotherapy"
      'H' = "H:Radiotherapy"
      'W' = "W:NA (no effort)"
      'Z' = "Z:Missing"
   ;
   value $EF1TYPE_
      'A' = "A:Heart attack"
      'B' = "B:Cancer"
      'C' = "C:Stroke"
      'D' = "D:Diabetes"
      'E' = "E:Emotional/nervous/psychiatric problem"
      'F' = "F:Kidney"
      'G' = "G:TBC"
      'H' = "H:Demam berdarah (dengue fever)"
      'I' = "I:Malaria"
      'J' = "J:Asthma"
   ;
   value EF20_
      1 = "1:Yes"
      3 = "3:No --> EF22"
      9 = "9:Missing"
   ;
   value EF21_X_
      1 = "1:Age"
      2 = "2:Year"
      9 = "9:Missing"
   ;
   value EF22_
      1 = "1:Yes"
      3 = "3:No --> EF24"
      9 = "9:Missing"
   ;
   value EF24_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF25_
      1 = "1:Not at all"
      2 = "2:A little bit"
      3 = "3:Some"
      4 = "4:Quite a bit"
      5 = "5:A lot"
      9 = "9:Missing"
   ;
   value EF26_
      1 = "1:Yes, weight gain"
      2 = "2:Yes, weight loss"
      3 = "3:Yes, first gained and then lost weight"
      4 = "4:Yes, first lost and then gained weight"
      5 = "5:No"
      9 = "9:Missing"
   ;
   value EF27_
      1 = "1:Yes"
      3 = "3:No --> EF29"
      9 = "9:Missing"
   ;
   value EF29_
      1 = "1:Yes, at least once a month"
      2 = "2:Yes, less than once a month"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value EF30_
      1 = "1:Yes"
      3 = "3:No -->EF32"
      8 = "8:Don't know --> EF32"
      9 = "9:Missing"
   ;
   value EF31_X_
      1 = "1:For [ ] days"
      2 = "2:For [] months"
      3 = "3:For [] years"
      4 = "4:Since age []"
      5 = "5:Since the year []"
      9 = "9:Missing"
   ;
   value EF32_X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value EF33_X_
      1 = "1:Yes"
      8 = "8:Don't know"
      9 = "9:Missing"
   ;
   value $EF34_
      'A' = "A:Parent"
      'B' = "B:Parents-in-law"
      'C' = "C:Spouse"
      'D' = "D:Children"
      'E' = "E:Law"
      'F' = "F:Grandson"
      'G' = "G:Granddaughter"
      'H' = "H:Siblings / relatives"
      'I' = "I:Workplace"
      'J' = "J:Insurance"
      'K' = "K:Other"
      'Z' = "Z:Missing"
   ;
   value EF35_
      1 = "1:Yes"
      3 = "3:No => CK1"
      9 = "9:Missing"
   ;
   value EF36X_
      1 = "1:Yes"
      8 = "8:No"
      9 = "9:Missing"
   ;
   value C1FE_
      1 = "1:Completed"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C2FE_
      1 = "1:Resnot at home"
      2 = "2:Reswas ill"
      3 = "3:Resrefused"
      5 = "5:Other"
   ;
   value C4AFE_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value C4BFE_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value C4CFE_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value CK1FE_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      99 = "99:Missing"
   ;
   value CK2FE_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value COV00FE_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value COV10FE_
      1 = "1:Spouse"
      2 = "2:Child"
      4 = "4:Parent"
      5 = "5:Sibling"
      6 = "6:Law"
      95 = "95:Other"
   ;
   value COV5FE_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value PIDPROXFE_
      96 = "96:Not members of the household"
   ;
   value MODE_FE_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Partial save"
   ;
   value PARTIAL_FE_
      0 = "0"
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
