proc format;
   value COV00WRTOKO_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV04XWRTOKO_
      1 = "1:OWNER --> COV06"
      2 = "2:OTHER"
      9 = "9:MISSING"
   ;
   value COV05WRTOKO_
      1 = "1:spouse"
      2 = "2:parent"
      3 = "3:child"
      4 = "4:sibling"
      5 = "5:other family"
      6 = "6:employee"
      7 = "7:friend"
      95 = "95:other"
      99 = "99:MISSING"
   ;
   value COV06WRTOKO_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value CLOSING_HR_
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value CLOSING_MNT_
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value DAY_
      1 = "1:MONDAY"
      2 = "2:TUESDAY"
      3 = "3:WEDNESDAY"
      4 = "4:THURSDAY"
      5 = "5:FRIDAY"
      6 = "6:SATURDAY"
      7 = "7:SUNDAY"
   ;
   value OPEN_HR_
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value OPEN_MNT_
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value INTRO_CLOSING1_
      1 = "1:in contrast to previous day"
      3 = "3:same to  the previous day"
      6 = "6:not applicable"
   ;
   value INTRO_DAY_
      1 = "1:MONDAY"
      2 = "2:TUESDAY"
      3 = "3:WEDNESDAY"
      4 = "4:THURSDAY"
      5 = "5:FRIDAY"
      6 = "6:SATURDAY"
      7 = "7:SUNDAY"
   ;
   value INTRO_OPEN1_
      1 = "1:in contrast to previous day"
      3 = "3:same to  the previous day"
      6 = "6:not applicable"
   ;
   value $CP10HRGWRTOKO_
      'A' = "A:NONE"
      'B' = "B:CUSTOMERS"
      'C' = "C:FAMILY"
      'D' = "D:OTHERS"
      'Z' = "Z:MISSING"
   ;
   value CP11HRGWRTOKO_
      1 = "1:VERY GOOD"
      2 = "2:GOOD"
      3 = "3:FAIR"
      4 = "4:BAD"
      5 = "5:VERY GOOD"
      9 = "9:MISSING"
   ;
   value CP12HRGWRTOKO_
      1 = "1:VERY GOOD"
      2 = "2:GOOD"
      3 = "3:FAIR"
      4 = "4:BAD"
      5 = "5:VERY GOOD"
      9 = "9:MISSING"
   ;
   value FP3_
      1 = "1:Completed --> FP6"
      2 = "2:Partially completed"
      3 = "3:Not completed"
      9 = "9:NOT APPLICABLE"
   ;
   value FP4_
      1 = "1:CODE OF REASON FOR 2/3 IN FP3"
      2 = "2:Respondent is traveling"
      3 = "3:Respondent is too busy"
      6 = "6:Refused"
      9 = "9:MISSING"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value HWT_MOVER_
      0 = "0:CANCEL"
      1 = "1:COVER SECTION"
      2 = "2:LK SECTION"
      3 = "3:PRICE SECTION"
      4 = "4:CP SECTION"
   ;
   value H02_
      1 = "1:Kg"
      2 = "2:Liter"
      3 = "3:bottle"
      4 = "4:Sticks"
      11 = "11:box"
      12 = "12:can"
      13 = "13:Pack"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value H03A_
      5 = "5:other"
      6 = "6:No stock"
      8 = "8:Not sold"
      9 = "9:MISSING"
   ;
   value H04_
      1 = "1:kg"
      2 = "2:liter"
      4 = "4:Sticks"
      8 = "8:gram"
      99 = "99:MISSING"
   ;
   value LK05_
      1 = "1:urban"
      2 = "2:rural"
   ;
   value $LK09X_
      'A' = "A:telephone"
      'B' = "B:HP"
      'W' = "W:not applicable"
      'Y' = "Y:don't know"
      'Z' = "Z:MISSING"
   ;
   value MODE_HWT_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_HWT_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
