proc format;
   value US00_
      1 = "1:Yes"
      3 = "3:Why not measured -->C1"
      6 = "6:Could not be contacted -->C1"
      7 = "7:Refused -->C1"
      9 = "9:Missing"
   ;
   value $US00A_
      'A' = "A:Physical examination"
      'B' = "B:Blood hemoglobin test"
      'C' = "C:Take dried blood spot"
      'D' = "D:Store the DBS for future analysis of c-reactive protein and HbA1c"
      'W' = "W:consent not asked"
      'Z' = "Z:Missing"
   ;
   value US01_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:Missing"
   ;
   value US02DAY_
      98 = "98:DK"
      99 = "99:Missing"
   ;
   value US02MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:N0vember"
      12 = "12:December"
      98 = "98:DK"
      99 = "99:Missing"
   ;
   value US02YR_
      9998 = "9998:DK"
      9999 = "9999:Missing"
   ;
   value US13AA_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C1US1_
      1 = "1:Completed -->C4"
      2 = "2:Partially completed"
      3 = "3:Not completed"
   ;
   value C2US1_
      1 = "1:Resp. not at home"
      2 = "2:Resp. seriously ill"
      3 = "3:Resp. refused"
      5 = "5:Other"
   ;
   value C4AUS1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4BUS1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value C4CUS1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value CK1US1_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value CK2US1_
      0 = "0:Indonesian"
      1 = "1:Javanese"
      2 = "2:Sundanese"
      3 = "3:Balinese"
      4 = "4:Batak"
      5 = "5:Bugis"
      6 = "6:Chinese"
      7 = "7:Maduranese"
      8 = "8:Sasak"
      9 = "9:Minang"
      10 = "10:Banjar"
      11 = "11:Bima"
      12 = "12:Makasar"
      13 = "13:Nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:Other South Sumatra"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:No other"
      99 = "99:Missing"
   ;
   value BUS_MOVE_
      0 = "0:Cancel"
      1 = "1:Section cover"
      2 = "2:BLOOD PRESSURE MEASUREMENT"
      3 = "3:WEIGHT AND HEIGHT MEASUREMENT"
      4 = "4:KNEE HEIGHT MEASUREMENT"
      5 = "5:UPPER ARM  MEASUREMENT"
      6 = "6:WAIST AND HIPS MEASUREMENT"
      7 = "7:SIT TO STAND MEASUREMENT"
      8 = "8:GRIP STRENGTH MEASUREMENT"
      9 = "9:BALANCE TESTS"
      10 = "10:WALKING SPEED MEASUREMENT"
      11 = "11:LUNG CAPACITY MEASUREMENT"
      12 = "12:HB MEASUREMENAT AND DBS"
      13 = "13:SECTION CP"
   ;
   value MODE_US_
      1 = "1:Entry"
      2 = "2:Modification"
   ;
   value PARTIAL_US_
      0 = "0:###"
      1 = "1:Partial"
      2 = "2:Complete"
   ;
   value US04X_
      1 = "1:Yes"
      3 = "3:Why not measured"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US04_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US05_
      1 = "1:Standing"
      3 = "3:Lying"
      9 = "9:Missing"
   ;
   value US05AX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<40 years"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US05A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US05B_
      1 = "1:Left"
      3 = "3:Right"
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value US05CX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<40 years"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US05C_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US05D_
      1 = "1:Left"
      3 = "3:Right"
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value US05_0_
      1 = "1:Enter 1 to be continue"
   ;
   value US05_00_
      1 = "1:Enter 1 to continue"
   ;
   value US06AX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:< 40"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US06A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US06BX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:< 40"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US06B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
   ;
   value US06X_
      1 = "1:Yes"
      3 = "3:Why not measured"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US06_0_
      1 = "1:Enter 1 to  continue"
   ;
   value US06_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
   ;
   value US07AA_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Age < 15"
      9 = "9:Missing"
   ;
   value US07AX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:Age < 15"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US07A_1_
      1 = "1:Left"
      3 = "3:Right"
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value US07A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US07BX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:Age < 15"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US07B_1_
      1 = "1:Left"
      3 = "3:Right"
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value US07B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US07CX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:Age < 15"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US07C_1_
      1 = "1:Left"
      3 = "3:Right"
      6 = "6:NA"
      9 = "9:Missing"
   ;
   value US07C_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US07_0_
      1 = "1:Enter 1 to continue"
   ;
   value US09AX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:< 9 years old"
      7 = "7:Rejected"
      9 = "9:Missing"
   ;
   value US09A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US09BX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:< 9 years old"
      7 = "7:Rejected"
      9 = "9:Missing"
   ;
   value US09B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US09CX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:< 9 years old"
      7 = "7:Rejected"
      9 = "9:Missing"
   ;
   value US09C_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US09D_
      1 = "1:Yes"
      2 = "2:No, because of pain, illness or other physical reasons"
      3 = "3:No, for other reasons"
      9 = "9:Missing"
   ;
   value US09_0_
      1 = "1:Enter 1 to  continue"
   ;
   value US10AA_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<15 years/moved/not yet contacted"
      9 = "9:Missing"
   ;
   value US10AX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<40 years old"
      7 = "7:Rejected"
      9 = "9:Missing"
   ;
   value US10A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US10BX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<40 years old"
      7 = "7:Rejected"
      9 = "9:Missing"
   ;
   value US10B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US10X_
      1 = "1:Yes"
      2 = "2:Less than 5 times"
      3 = "3:Not measured"
      6 = "6:< 15 years old"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US10_0_
      1 = "1:Enter 1 to  continue"
   ;
   value US10_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US11_
      9 = "9:Missing"
   ;
   value US11A_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US12_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US12A_
      1 = "1:Yes"
      2 = "2:No, because of pain, illness or other physical reasons"
      3 = "3:No, for other reasons"
      9 = "9:Missing"
   ;
   value US13AB_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US13AX_
      1 = "1:Yes"
      3 = "3:Why not measured"
      6 = "6:Age < 1"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US13A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US13X_
      1 = "1:Yes"
      3 = "3:Why don't measured"
      6 = "6:Age < 1"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US13_0_
      1 = "1:Enter 1 to continue"
   ;
   value US13_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US15A_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Male / Female <15 years old or >49 years old"
      9 = "9:Missing"
   ;
   value US15B_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Male / Female <15 years old or >49 years old"
      9 = "9:Missing"
   ;
   value US15C_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:Male / Female <15 years old or >49 years old"
      9 = "9:Missing"
   ;
   value US18_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US18AA_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US18AB_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US18AC_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US18AD_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US18B_HR_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value US18B_KET_
      1 = "1:Today"
      2 = "2:Yesterday"
      9 = "9:Missing"
   ;
   value US18B_MIN_
      98 = "98:Don't know"
      99 = "99:Missing"
   ;
   value $US18C_
      'A' = "A:Disable right hand"
      'B' = "B:Disable left hand"
      'C' = "C:Disable right foot"
      'D' = "D:Disable left foot"
      'E' = "E:E. Disable eyes"
      'F' = "F:F. Disable hear"
      'G' = "G:G. Disable speak"
      'W' = "W:No physical disability"
      'Z' = "Z:Missing"
   ;
   value US19A_
      1 = "1:Yes"
      3 = "3:No --> US09A"
      9 = "9:Missing"
   ;
   value US19B_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US19B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19C_
      1 = "1:Yes"
      3 = "3:Less than 10 seconds"
      4 = "4:Tried but failed --> US19L"
      9 = "9:Missing"
   ;
   value US19D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US19E_
      1 = "1:Yes"
      3 = "3:No --> US19L"
      9 = "9:Missing"
   ;
   value US19F_
      1 = "1:Yes"
      3 = "3:No --> (45<=age<70)"
      9 = "9:Missing"
   ;
   value US19G_
      1 = "1:Measured --> US19i"
      3 = "3:Reason not measured"
      7 = "7:Refused --> US19p"
      9 = "9:Missing"
   ;
   value US19G_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19H_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      7 = "7:Refused --> US19p"
      9 = "9:Missing"
   ;
   value US19H_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19I_
      1 = "1:Yes"
      3 = "3:Less than 60 seconds"
      4 = "4:Tried but failed --> US19P"
      9 = "9:Missing"
   ;
   value US19J_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US19K_
      1 = "1:Tile / wood"
      2 = "2:Carpet"
      3 = "3:Land"
      4 = "4:Concrete"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value US19L_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      7 = "7:Refused --> US19P"
      9 = "9:Missing"
   ;
   value US19L_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19M_
      1 = "1:Yes"
      3 = "3:Less than 10 seconds"
      4 = "4:Tried but failed --> US19P"
      9 = "9:Missing"
   ;
   value US19N_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:Missing"
   ;
   value US19O_
      1 = "1:Tile / wood"
      2 = "2:Carpet"
      3 = "3:Land"
      4 = "4:Concrete"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value US19P_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:<60year"
      9 = "9:Missing"
   ;
   value US19QX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:< 60 year -->US09A"
      7 = "7:Refused --> US09A"
      9 = "9:Missing"
   ;
   value US19Q_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19RX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US19R_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US19S_
      1 = "1:Tile / wood"
      2 = "2:Carpet"
      3 = "3:Land"
      4 = "4:Concrete"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value US19T_
      1 = "1:None"
      2 = "2:Walking stick"
      3 = "3:Elbow crutches"
      4 = "4:Walking frame"
      5 = "5:Other"
      9 = "9:Missing"
   ;
   value US19_0_
      1 = "1:Enter 1 to  continue"
   ;
   value US20_
      1 = "1:Left"
      2 = "2:Right"
      3 = "3:Ambidextrous"
      6 = "6:Both hand not functioning or Age < 15"
      9 = "9:Missing"
   ;
   value US20AA_
      1 = "1:Yes, in both hands"
      2 = "2:Yes, the left hand"
      3 = "3:Yes, the right hand"
      4 = "4:No"
      6 = "6:<15 years"
      9 = "9:Missing"
   ;
   value US20AX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<15 years/moved/not yet contacted"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US20A_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US20BX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<15 years/moved/not yet contacted"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US20B_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US20CX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<15 years/moved/not yet contacted"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US20C_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US20DX_
      1 = "1:Measured"
      3 = "3:Reason not measured"
      6 = "6:<15 years/moved/not yet contacted"
      7 = "7:Refused"
      9 = "9:Missing"
   ;
   value US20D_CD_
      1 = "1:R felt it would not be safe"
      2 = "2:interviewer felt it would not be safe"
      3 = "3:R tried but was unable to complete the measurement/test"
      4 = "4:R did not understand instructions"
      5 = "5:R's health condition prevent measurement"
      6 = "6:R has rash, a cast, edema, open sores in arm (for us07a, us07b, us07c)"
      7 = "7:R's hand had surgery, swelling, inflammation, severe pain, or injury last 6 months"
      8 = "8:R recently had surgery/injury/conditions that prevents walking (us19p)"
      9 = "9:no suitable space"
      10 = "10:problem with equipment or supplies"
   ;
   value US20_0_
      1 = "1:Enter 1 to be continue"
   ;
   value US23_
      1 = "1:Standing"
      2 = "2:Sitting"
      6 = "6:Both hand not functioning or Age < 15"
      9 = "9:Missing"
   ;
   value US23A_
      1 = "1:Yes"
      2 = "2:No, because of pain, illness or other physical reasons"
      3 = "3:No, for other reasons"
      9 = "9:Missing"
   ;
   run;
